@xen-orchestra/rest-api 0.32.0 → 0.34.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/README.md +36 -4
- package/dist/backup-jobs/backup-job.service.mjs +4 -0
- package/dist/backup-repositories/backup-repositories.controller.mjs +115 -6
- package/dist/backup-repositories/backup-repository.service.mjs +46 -0
- package/dist/ioc/ioc.mjs +8 -0
- package/dist/middlewares/acl.middleware.mjs +10 -1
- package/dist/middlewares/deprecated.middleware.mjs +10 -0
- package/dist/middlewares/generic-error-handler.middleware.mjs +1 -0
- package/dist/open-api/oa-examples/backup-repository.oa-example.mjs +1 -0
- package/dist/open-api/routes/routes.js +266 -20
- package/dist/pbds/pbd.controller.mjs +10 -0
- package/dist/pools/pool.controller.mjs +48 -0
- package/dist/srs/sr.controller.mjs +15 -0
- package/dist/vbds/vbd.controller.mjs +20 -1
- package/dist/vdi-snapshots/vdi-snapshot.controller.mjs +27 -2
- package/dist/vdis/vdi.controller.mjs +26 -2
- package/dist/vifs/vif.controller.mjs +79 -6
- package/dist/vm-snapshots/vm-snapshot.controller.mjs +2 -1
- package/dist/vm-templates/vm-template.controller.mjs +2 -1
- package/dist/vms/vm.controller.mjs +70 -5
- package/dist/vms/vm.service.mjs +29 -11
- package/open-api/spec/swagger.json +1707 -68
- package/package.json +7 -7
|
@@ -1479,6 +1479,775 @@
|
|
|
1479
1479
|
],
|
|
1480
1480
|
"type": "object"
|
|
1481
1481
|
},
|
|
1482
|
+
"Partial_Record_VM_OPERATIONS.boolean-or-string-or-null__": {
|
|
1483
|
+
"properties": {
|
|
1484
|
+
"assert_operation_valid": {
|
|
1485
|
+
"anyOf": [
|
|
1486
|
+
{
|
|
1487
|
+
"type": "string"
|
|
1488
|
+
},
|
|
1489
|
+
{
|
|
1490
|
+
"type": "boolean"
|
|
1491
|
+
}
|
|
1492
|
+
],
|
|
1493
|
+
"nullable": true
|
|
1494
|
+
},
|
|
1495
|
+
"awaiting_memory_live": {
|
|
1496
|
+
"anyOf": [
|
|
1497
|
+
{
|
|
1498
|
+
"type": "string"
|
|
1499
|
+
},
|
|
1500
|
+
{
|
|
1501
|
+
"type": "boolean"
|
|
1502
|
+
}
|
|
1503
|
+
],
|
|
1504
|
+
"nullable": true
|
|
1505
|
+
},
|
|
1506
|
+
"call_plugin": {
|
|
1507
|
+
"anyOf": [
|
|
1508
|
+
{
|
|
1509
|
+
"type": "string"
|
|
1510
|
+
},
|
|
1511
|
+
{
|
|
1512
|
+
"type": "boolean"
|
|
1513
|
+
}
|
|
1514
|
+
],
|
|
1515
|
+
"nullable": true
|
|
1516
|
+
},
|
|
1517
|
+
"changing_dynamic_range": {
|
|
1518
|
+
"anyOf": [
|
|
1519
|
+
{
|
|
1520
|
+
"type": "string"
|
|
1521
|
+
},
|
|
1522
|
+
{
|
|
1523
|
+
"type": "boolean"
|
|
1524
|
+
}
|
|
1525
|
+
],
|
|
1526
|
+
"nullable": true
|
|
1527
|
+
},
|
|
1528
|
+
"changing_memory_limits": {
|
|
1529
|
+
"anyOf": [
|
|
1530
|
+
{
|
|
1531
|
+
"type": "string"
|
|
1532
|
+
},
|
|
1533
|
+
{
|
|
1534
|
+
"type": "boolean"
|
|
1535
|
+
}
|
|
1536
|
+
],
|
|
1537
|
+
"nullable": true
|
|
1538
|
+
},
|
|
1539
|
+
"changing_memory_live": {
|
|
1540
|
+
"anyOf": [
|
|
1541
|
+
{
|
|
1542
|
+
"type": "string"
|
|
1543
|
+
},
|
|
1544
|
+
{
|
|
1545
|
+
"type": "boolean"
|
|
1546
|
+
}
|
|
1547
|
+
],
|
|
1548
|
+
"nullable": true
|
|
1549
|
+
},
|
|
1550
|
+
"changing_NVRAM": {
|
|
1551
|
+
"anyOf": [
|
|
1552
|
+
{
|
|
1553
|
+
"type": "string"
|
|
1554
|
+
},
|
|
1555
|
+
{
|
|
1556
|
+
"type": "boolean"
|
|
1557
|
+
}
|
|
1558
|
+
],
|
|
1559
|
+
"nullable": true
|
|
1560
|
+
},
|
|
1561
|
+
"changing_shadow_memory": {
|
|
1562
|
+
"anyOf": [
|
|
1563
|
+
{
|
|
1564
|
+
"type": "string"
|
|
1565
|
+
},
|
|
1566
|
+
{
|
|
1567
|
+
"type": "boolean"
|
|
1568
|
+
}
|
|
1569
|
+
],
|
|
1570
|
+
"nullable": true
|
|
1571
|
+
},
|
|
1572
|
+
"changing_shadow_memory_live": {
|
|
1573
|
+
"anyOf": [
|
|
1574
|
+
{
|
|
1575
|
+
"type": "string"
|
|
1576
|
+
},
|
|
1577
|
+
{
|
|
1578
|
+
"type": "boolean"
|
|
1579
|
+
}
|
|
1580
|
+
],
|
|
1581
|
+
"nullable": true
|
|
1582
|
+
},
|
|
1583
|
+
"changing_static_range": {
|
|
1584
|
+
"anyOf": [
|
|
1585
|
+
{
|
|
1586
|
+
"type": "string"
|
|
1587
|
+
},
|
|
1588
|
+
{
|
|
1589
|
+
"type": "boolean"
|
|
1590
|
+
}
|
|
1591
|
+
],
|
|
1592
|
+
"nullable": true
|
|
1593
|
+
},
|
|
1594
|
+
"changing_VCPUs": {
|
|
1595
|
+
"anyOf": [
|
|
1596
|
+
{
|
|
1597
|
+
"type": "string"
|
|
1598
|
+
},
|
|
1599
|
+
{
|
|
1600
|
+
"type": "boolean"
|
|
1601
|
+
}
|
|
1602
|
+
],
|
|
1603
|
+
"nullable": true
|
|
1604
|
+
},
|
|
1605
|
+
"changing_VCPUs_live": {
|
|
1606
|
+
"anyOf": [
|
|
1607
|
+
{
|
|
1608
|
+
"type": "string"
|
|
1609
|
+
},
|
|
1610
|
+
{
|
|
1611
|
+
"type": "boolean"
|
|
1612
|
+
}
|
|
1613
|
+
],
|
|
1614
|
+
"nullable": true
|
|
1615
|
+
},
|
|
1616
|
+
"checkpoint": {
|
|
1617
|
+
"anyOf": [
|
|
1618
|
+
{
|
|
1619
|
+
"type": "string"
|
|
1620
|
+
},
|
|
1621
|
+
{
|
|
1622
|
+
"type": "boolean"
|
|
1623
|
+
}
|
|
1624
|
+
],
|
|
1625
|
+
"nullable": true
|
|
1626
|
+
},
|
|
1627
|
+
"clean_reboot": {
|
|
1628
|
+
"anyOf": [
|
|
1629
|
+
{
|
|
1630
|
+
"type": "string"
|
|
1631
|
+
},
|
|
1632
|
+
{
|
|
1633
|
+
"type": "boolean"
|
|
1634
|
+
}
|
|
1635
|
+
],
|
|
1636
|
+
"nullable": true
|
|
1637
|
+
},
|
|
1638
|
+
"clean_shutdown": {
|
|
1639
|
+
"anyOf": [
|
|
1640
|
+
{
|
|
1641
|
+
"type": "string"
|
|
1642
|
+
},
|
|
1643
|
+
{
|
|
1644
|
+
"type": "boolean"
|
|
1645
|
+
}
|
|
1646
|
+
],
|
|
1647
|
+
"nullable": true
|
|
1648
|
+
},
|
|
1649
|
+
"clone": {
|
|
1650
|
+
"anyOf": [
|
|
1651
|
+
{
|
|
1652
|
+
"type": "string"
|
|
1653
|
+
},
|
|
1654
|
+
{
|
|
1655
|
+
"type": "boolean"
|
|
1656
|
+
}
|
|
1657
|
+
],
|
|
1658
|
+
"nullable": true
|
|
1659
|
+
},
|
|
1660
|
+
"copy": {
|
|
1661
|
+
"anyOf": [
|
|
1662
|
+
{
|
|
1663
|
+
"type": "string"
|
|
1664
|
+
},
|
|
1665
|
+
{
|
|
1666
|
+
"type": "boolean"
|
|
1667
|
+
}
|
|
1668
|
+
],
|
|
1669
|
+
"nullable": true
|
|
1670
|
+
},
|
|
1671
|
+
"create_template": {
|
|
1672
|
+
"anyOf": [
|
|
1673
|
+
{
|
|
1674
|
+
"type": "string"
|
|
1675
|
+
},
|
|
1676
|
+
{
|
|
1677
|
+
"type": "boolean"
|
|
1678
|
+
}
|
|
1679
|
+
],
|
|
1680
|
+
"nullable": true
|
|
1681
|
+
},
|
|
1682
|
+
"create_vtpm": {
|
|
1683
|
+
"anyOf": [
|
|
1684
|
+
{
|
|
1685
|
+
"type": "string"
|
|
1686
|
+
},
|
|
1687
|
+
{
|
|
1688
|
+
"type": "boolean"
|
|
1689
|
+
}
|
|
1690
|
+
],
|
|
1691
|
+
"nullable": true
|
|
1692
|
+
},
|
|
1693
|
+
"csvm": {
|
|
1694
|
+
"anyOf": [
|
|
1695
|
+
{
|
|
1696
|
+
"type": "string"
|
|
1697
|
+
},
|
|
1698
|
+
{
|
|
1699
|
+
"type": "boolean"
|
|
1700
|
+
}
|
|
1701
|
+
],
|
|
1702
|
+
"nullable": true
|
|
1703
|
+
},
|
|
1704
|
+
"data_source_op": {
|
|
1705
|
+
"anyOf": [
|
|
1706
|
+
{
|
|
1707
|
+
"type": "string"
|
|
1708
|
+
},
|
|
1709
|
+
{
|
|
1710
|
+
"type": "boolean"
|
|
1711
|
+
}
|
|
1712
|
+
],
|
|
1713
|
+
"nullable": true
|
|
1714
|
+
},
|
|
1715
|
+
"destroy": {
|
|
1716
|
+
"anyOf": [
|
|
1717
|
+
{
|
|
1718
|
+
"type": "string"
|
|
1719
|
+
},
|
|
1720
|
+
{
|
|
1721
|
+
"type": "boolean"
|
|
1722
|
+
}
|
|
1723
|
+
],
|
|
1724
|
+
"nullable": true
|
|
1725
|
+
},
|
|
1726
|
+
"export": {
|
|
1727
|
+
"anyOf": [
|
|
1728
|
+
{
|
|
1729
|
+
"type": "string"
|
|
1730
|
+
},
|
|
1731
|
+
{
|
|
1732
|
+
"type": "boolean"
|
|
1733
|
+
}
|
|
1734
|
+
],
|
|
1735
|
+
"nullable": true
|
|
1736
|
+
},
|
|
1737
|
+
"get_boot_record": {
|
|
1738
|
+
"anyOf": [
|
|
1739
|
+
{
|
|
1740
|
+
"type": "string"
|
|
1741
|
+
},
|
|
1742
|
+
{
|
|
1743
|
+
"type": "boolean"
|
|
1744
|
+
}
|
|
1745
|
+
],
|
|
1746
|
+
"nullable": true
|
|
1747
|
+
},
|
|
1748
|
+
"hard_reboot": {
|
|
1749
|
+
"anyOf": [
|
|
1750
|
+
{
|
|
1751
|
+
"type": "string"
|
|
1752
|
+
},
|
|
1753
|
+
{
|
|
1754
|
+
"type": "boolean"
|
|
1755
|
+
}
|
|
1756
|
+
],
|
|
1757
|
+
"nullable": true
|
|
1758
|
+
},
|
|
1759
|
+
"hard_shutdown": {
|
|
1760
|
+
"anyOf": [
|
|
1761
|
+
{
|
|
1762
|
+
"type": "string"
|
|
1763
|
+
},
|
|
1764
|
+
{
|
|
1765
|
+
"type": "boolean"
|
|
1766
|
+
}
|
|
1767
|
+
],
|
|
1768
|
+
"nullable": true
|
|
1769
|
+
},
|
|
1770
|
+
"import": {
|
|
1771
|
+
"anyOf": [
|
|
1772
|
+
{
|
|
1773
|
+
"type": "string"
|
|
1774
|
+
},
|
|
1775
|
+
{
|
|
1776
|
+
"type": "boolean"
|
|
1777
|
+
}
|
|
1778
|
+
],
|
|
1779
|
+
"nullable": true
|
|
1780
|
+
},
|
|
1781
|
+
"make_into_template": {
|
|
1782
|
+
"anyOf": [
|
|
1783
|
+
{
|
|
1784
|
+
"type": "string"
|
|
1785
|
+
},
|
|
1786
|
+
{
|
|
1787
|
+
"type": "boolean"
|
|
1788
|
+
}
|
|
1789
|
+
],
|
|
1790
|
+
"nullable": true
|
|
1791
|
+
},
|
|
1792
|
+
"metadata_export": {
|
|
1793
|
+
"anyOf": [
|
|
1794
|
+
{
|
|
1795
|
+
"type": "string"
|
|
1796
|
+
},
|
|
1797
|
+
{
|
|
1798
|
+
"type": "boolean"
|
|
1799
|
+
}
|
|
1800
|
+
],
|
|
1801
|
+
"nullable": true
|
|
1802
|
+
},
|
|
1803
|
+
"migrate_send": {
|
|
1804
|
+
"anyOf": [
|
|
1805
|
+
{
|
|
1806
|
+
"type": "string"
|
|
1807
|
+
},
|
|
1808
|
+
{
|
|
1809
|
+
"type": "boolean"
|
|
1810
|
+
}
|
|
1811
|
+
],
|
|
1812
|
+
"nullable": true
|
|
1813
|
+
},
|
|
1814
|
+
"pause": {
|
|
1815
|
+
"anyOf": [
|
|
1816
|
+
{
|
|
1817
|
+
"type": "string"
|
|
1818
|
+
},
|
|
1819
|
+
{
|
|
1820
|
+
"type": "boolean"
|
|
1821
|
+
}
|
|
1822
|
+
],
|
|
1823
|
+
"nullable": true
|
|
1824
|
+
},
|
|
1825
|
+
"pool_migrate": {
|
|
1826
|
+
"anyOf": [
|
|
1827
|
+
{
|
|
1828
|
+
"type": "string"
|
|
1829
|
+
},
|
|
1830
|
+
{
|
|
1831
|
+
"type": "boolean"
|
|
1832
|
+
}
|
|
1833
|
+
],
|
|
1834
|
+
"nullable": true
|
|
1835
|
+
},
|
|
1836
|
+
"power_state_reset": {
|
|
1837
|
+
"anyOf": [
|
|
1838
|
+
{
|
|
1839
|
+
"type": "string"
|
|
1840
|
+
},
|
|
1841
|
+
{
|
|
1842
|
+
"type": "boolean"
|
|
1843
|
+
}
|
|
1844
|
+
],
|
|
1845
|
+
"nullable": true
|
|
1846
|
+
},
|
|
1847
|
+
"provision": {
|
|
1848
|
+
"anyOf": [
|
|
1849
|
+
{
|
|
1850
|
+
"type": "string"
|
|
1851
|
+
},
|
|
1852
|
+
{
|
|
1853
|
+
"type": "boolean"
|
|
1854
|
+
}
|
|
1855
|
+
],
|
|
1856
|
+
"nullable": true
|
|
1857
|
+
},
|
|
1858
|
+
"query_services": {
|
|
1859
|
+
"anyOf": [
|
|
1860
|
+
{
|
|
1861
|
+
"type": "string"
|
|
1862
|
+
},
|
|
1863
|
+
{
|
|
1864
|
+
"type": "boolean"
|
|
1865
|
+
}
|
|
1866
|
+
],
|
|
1867
|
+
"nullable": true
|
|
1868
|
+
},
|
|
1869
|
+
"resume": {
|
|
1870
|
+
"anyOf": [
|
|
1871
|
+
{
|
|
1872
|
+
"type": "string"
|
|
1873
|
+
},
|
|
1874
|
+
{
|
|
1875
|
+
"type": "boolean"
|
|
1876
|
+
}
|
|
1877
|
+
],
|
|
1878
|
+
"nullable": true
|
|
1879
|
+
},
|
|
1880
|
+
"resume_on": {
|
|
1881
|
+
"anyOf": [
|
|
1882
|
+
{
|
|
1883
|
+
"type": "string"
|
|
1884
|
+
},
|
|
1885
|
+
{
|
|
1886
|
+
"type": "boolean"
|
|
1887
|
+
}
|
|
1888
|
+
],
|
|
1889
|
+
"nullable": true
|
|
1890
|
+
},
|
|
1891
|
+
"revert": {
|
|
1892
|
+
"anyOf": [
|
|
1893
|
+
{
|
|
1894
|
+
"type": "string"
|
|
1895
|
+
},
|
|
1896
|
+
{
|
|
1897
|
+
"type": "boolean"
|
|
1898
|
+
}
|
|
1899
|
+
],
|
|
1900
|
+
"nullable": true
|
|
1901
|
+
},
|
|
1902
|
+
"reverting": {
|
|
1903
|
+
"anyOf": [
|
|
1904
|
+
{
|
|
1905
|
+
"type": "string"
|
|
1906
|
+
},
|
|
1907
|
+
{
|
|
1908
|
+
"type": "boolean"
|
|
1909
|
+
}
|
|
1910
|
+
],
|
|
1911
|
+
"nullable": true
|
|
1912
|
+
},
|
|
1913
|
+
"send_sysrq": {
|
|
1914
|
+
"anyOf": [
|
|
1915
|
+
{
|
|
1916
|
+
"type": "string"
|
|
1917
|
+
},
|
|
1918
|
+
{
|
|
1919
|
+
"type": "boolean"
|
|
1920
|
+
}
|
|
1921
|
+
],
|
|
1922
|
+
"nullable": true
|
|
1923
|
+
},
|
|
1924
|
+
"send_trigger": {
|
|
1925
|
+
"anyOf": [
|
|
1926
|
+
{
|
|
1927
|
+
"type": "string"
|
|
1928
|
+
},
|
|
1929
|
+
{
|
|
1930
|
+
"type": "boolean"
|
|
1931
|
+
}
|
|
1932
|
+
],
|
|
1933
|
+
"nullable": true
|
|
1934
|
+
},
|
|
1935
|
+
"shutdown": {
|
|
1936
|
+
"anyOf": [
|
|
1937
|
+
{
|
|
1938
|
+
"type": "string"
|
|
1939
|
+
},
|
|
1940
|
+
{
|
|
1941
|
+
"type": "boolean"
|
|
1942
|
+
}
|
|
1943
|
+
],
|
|
1944
|
+
"nullable": true
|
|
1945
|
+
},
|
|
1946
|
+
"snapshot": {
|
|
1947
|
+
"anyOf": [
|
|
1948
|
+
{
|
|
1949
|
+
"type": "string"
|
|
1950
|
+
},
|
|
1951
|
+
{
|
|
1952
|
+
"type": "boolean"
|
|
1953
|
+
}
|
|
1954
|
+
],
|
|
1955
|
+
"nullable": true
|
|
1956
|
+
},
|
|
1957
|
+
"snapshot_with_quiesce": {
|
|
1958
|
+
"anyOf": [
|
|
1959
|
+
{
|
|
1960
|
+
"type": "string"
|
|
1961
|
+
},
|
|
1962
|
+
{
|
|
1963
|
+
"type": "boolean"
|
|
1964
|
+
}
|
|
1965
|
+
],
|
|
1966
|
+
"nullable": true
|
|
1967
|
+
},
|
|
1968
|
+
"start": {
|
|
1969
|
+
"anyOf": [
|
|
1970
|
+
{
|
|
1971
|
+
"type": "string"
|
|
1972
|
+
},
|
|
1973
|
+
{
|
|
1974
|
+
"type": "boolean"
|
|
1975
|
+
}
|
|
1976
|
+
],
|
|
1977
|
+
"nullable": true
|
|
1978
|
+
},
|
|
1979
|
+
"start_on": {
|
|
1980
|
+
"anyOf": [
|
|
1981
|
+
{
|
|
1982
|
+
"type": "string"
|
|
1983
|
+
},
|
|
1984
|
+
{
|
|
1985
|
+
"type": "boolean"
|
|
1986
|
+
}
|
|
1987
|
+
],
|
|
1988
|
+
"nullable": true
|
|
1989
|
+
},
|
|
1990
|
+
"suspend": {
|
|
1991
|
+
"anyOf": [
|
|
1992
|
+
{
|
|
1993
|
+
"type": "string"
|
|
1994
|
+
},
|
|
1995
|
+
{
|
|
1996
|
+
"type": "boolean"
|
|
1997
|
+
}
|
|
1998
|
+
],
|
|
1999
|
+
"nullable": true
|
|
2000
|
+
},
|
|
2001
|
+
"unpause": {
|
|
2002
|
+
"anyOf": [
|
|
2003
|
+
{
|
|
2004
|
+
"type": "string"
|
|
2005
|
+
},
|
|
2006
|
+
{
|
|
2007
|
+
"type": "boolean"
|
|
2008
|
+
}
|
|
2009
|
+
],
|
|
2010
|
+
"nullable": true
|
|
2011
|
+
},
|
|
2012
|
+
"update_allowed_operations": {
|
|
2013
|
+
"anyOf": [
|
|
2014
|
+
{
|
|
2015
|
+
"type": "string"
|
|
2016
|
+
},
|
|
2017
|
+
{
|
|
2018
|
+
"type": "boolean"
|
|
2019
|
+
}
|
|
2020
|
+
],
|
|
2021
|
+
"nullable": true
|
|
2022
|
+
}
|
|
2023
|
+
},
|
|
2024
|
+
"type": "object",
|
|
2025
|
+
"description": "Make all properties in T optional"
|
|
2026
|
+
},
|
|
2027
|
+
"Record_string.string-or-null_": {
|
|
2028
|
+
"properties": {},
|
|
2029
|
+
"additionalProperties": {
|
|
2030
|
+
"type": "string",
|
|
2031
|
+
"nullable": true
|
|
2032
|
+
},
|
|
2033
|
+
"type": "object",
|
|
2034
|
+
"description": "Construct a type with a set of properties K of type T"
|
|
2035
|
+
},
|
|
2036
|
+
"UpdateVmRequestBody": {
|
|
2037
|
+
"description": "Body of `PATCH /vms/{id}`.\n\nExtends {@link EditVmProps} with two REST-only properties that the xo-server\nresource-set mixin handles outside of `editVm`.",
|
|
2038
|
+
"properties": {
|
|
2039
|
+
"affinityHost": {
|
|
2040
|
+
"type": "string",
|
|
2041
|
+
"nullable": true
|
|
2042
|
+
},
|
|
2043
|
+
"autoPoweron": {
|
|
2044
|
+
"type": "boolean"
|
|
2045
|
+
},
|
|
2046
|
+
"blockedOperations": {
|
|
2047
|
+
"$ref": "#/components/schemas/Partial_Record_VM_OPERATIONS.boolean-or-string-or-null__"
|
|
2048
|
+
},
|
|
2049
|
+
"coresPerSocket": {
|
|
2050
|
+
"anyOf": [
|
|
2051
|
+
{
|
|
2052
|
+
"type": "number",
|
|
2053
|
+
"format": "double"
|
|
2054
|
+
},
|
|
2055
|
+
{
|
|
2056
|
+
"type": "string"
|
|
2057
|
+
}
|
|
2058
|
+
],
|
|
2059
|
+
"nullable": true
|
|
2060
|
+
},
|
|
2061
|
+
"cpuCap": {
|
|
2062
|
+
"type": "number",
|
|
2063
|
+
"format": "double",
|
|
2064
|
+
"nullable": true
|
|
2065
|
+
},
|
|
2066
|
+
"cpuMask": {
|
|
2067
|
+
"items": {
|
|
2068
|
+
"type": "number",
|
|
2069
|
+
"format": "double"
|
|
2070
|
+
},
|
|
2071
|
+
"type": "array"
|
|
2072
|
+
},
|
|
2073
|
+
"cpuWeight": {
|
|
2074
|
+
"type": "number",
|
|
2075
|
+
"format": "double",
|
|
2076
|
+
"nullable": true
|
|
2077
|
+
},
|
|
2078
|
+
"cpus": {
|
|
2079
|
+
"type": "number",
|
|
2080
|
+
"format": "double"
|
|
2081
|
+
},
|
|
2082
|
+
"cpusStaticMax": {
|
|
2083
|
+
"anyOf": [
|
|
2084
|
+
{
|
|
2085
|
+
"type": "number",
|
|
2086
|
+
"format": "double"
|
|
2087
|
+
},
|
|
2088
|
+
{
|
|
2089
|
+
"type": "string"
|
|
2090
|
+
}
|
|
2091
|
+
]
|
|
2092
|
+
},
|
|
2093
|
+
"creation": {
|
|
2094
|
+
"properties": {
|
|
2095
|
+
"user": {
|
|
2096
|
+
"type": "string"
|
|
2097
|
+
}
|
|
2098
|
+
},
|
|
2099
|
+
"type": "object",
|
|
2100
|
+
"description": "Update VM creation metadata stored under `other_config.xo:*`. The object is\nmerged with the existing data."
|
|
2101
|
+
},
|
|
2102
|
+
"expNestedHvm": {
|
|
2103
|
+
"type": "boolean"
|
|
2104
|
+
},
|
|
2105
|
+
"hasVendorDevice": {
|
|
2106
|
+
"type": "boolean"
|
|
2107
|
+
},
|
|
2108
|
+
"highAvailability": {
|
|
2109
|
+
"type": "string",
|
|
2110
|
+
"enum": [
|
|
2111
|
+
"best-effort",
|
|
2112
|
+
"restart",
|
|
2113
|
+
""
|
|
2114
|
+
]
|
|
2115
|
+
},
|
|
2116
|
+
"hvmBootFirmware": {
|
|
2117
|
+
"type": "string",
|
|
2118
|
+
"nullable": true
|
|
2119
|
+
},
|
|
2120
|
+
"memory": {
|
|
2121
|
+
"anyOf": [
|
|
2122
|
+
{
|
|
2123
|
+
"type": "number",
|
|
2124
|
+
"format": "double"
|
|
2125
|
+
},
|
|
2126
|
+
{
|
|
2127
|
+
"type": "string"
|
|
2128
|
+
}
|
|
2129
|
+
]
|
|
2130
|
+
},
|
|
2131
|
+
"memoryMax": {
|
|
2132
|
+
"anyOf": [
|
|
2133
|
+
{
|
|
2134
|
+
"type": "number",
|
|
2135
|
+
"format": "double"
|
|
2136
|
+
},
|
|
2137
|
+
{
|
|
2138
|
+
"type": "string"
|
|
2139
|
+
}
|
|
2140
|
+
]
|
|
2141
|
+
},
|
|
2142
|
+
"memoryMin": {
|
|
2143
|
+
"anyOf": [
|
|
2144
|
+
{
|
|
2145
|
+
"type": "number",
|
|
2146
|
+
"format": "double"
|
|
2147
|
+
},
|
|
2148
|
+
{
|
|
2149
|
+
"type": "string"
|
|
2150
|
+
}
|
|
2151
|
+
]
|
|
2152
|
+
},
|
|
2153
|
+
"memoryStaticMax": {
|
|
2154
|
+
"anyOf": [
|
|
2155
|
+
{
|
|
2156
|
+
"type": "number",
|
|
2157
|
+
"format": "double"
|
|
2158
|
+
},
|
|
2159
|
+
{
|
|
2160
|
+
"type": "string"
|
|
2161
|
+
}
|
|
2162
|
+
]
|
|
2163
|
+
},
|
|
2164
|
+
"nameDescription": {
|
|
2165
|
+
"type": "string"
|
|
2166
|
+
},
|
|
2167
|
+
"nameLabel": {
|
|
2168
|
+
"type": "string"
|
|
2169
|
+
},
|
|
2170
|
+
"nestedVirt": {
|
|
2171
|
+
"type": "boolean"
|
|
2172
|
+
},
|
|
2173
|
+
"nicType": {
|
|
2174
|
+
"type": "string",
|
|
2175
|
+
"nullable": true
|
|
2176
|
+
},
|
|
2177
|
+
"notes": {
|
|
2178
|
+
"type": "string",
|
|
2179
|
+
"nullable": true
|
|
2180
|
+
},
|
|
2181
|
+
"PV_args": {
|
|
2182
|
+
"type": "string"
|
|
2183
|
+
},
|
|
2184
|
+
"secureBoot": {
|
|
2185
|
+
"type": "boolean"
|
|
2186
|
+
},
|
|
2187
|
+
"startDelay": {
|
|
2188
|
+
"type": "number",
|
|
2189
|
+
"format": "double"
|
|
2190
|
+
},
|
|
2191
|
+
"suspendSr": {
|
|
2192
|
+
"type": "string",
|
|
2193
|
+
"nullable": true
|
|
2194
|
+
},
|
|
2195
|
+
"tags": {
|
|
2196
|
+
"items": {
|
|
2197
|
+
"type": "string"
|
|
2198
|
+
},
|
|
2199
|
+
"type": "array"
|
|
2200
|
+
},
|
|
2201
|
+
"uefiMode": {
|
|
2202
|
+
"type": "string",
|
|
2203
|
+
"enum": [
|
|
2204
|
+
"setup",
|
|
2205
|
+
"user"
|
|
2206
|
+
]
|
|
2207
|
+
},
|
|
2208
|
+
"vga": {
|
|
2209
|
+
"type": "string",
|
|
2210
|
+
"enum": [
|
|
2211
|
+
"std",
|
|
2212
|
+
"cirrus"
|
|
2213
|
+
]
|
|
2214
|
+
},
|
|
2215
|
+
"videoram": {
|
|
2216
|
+
"type": "number",
|
|
2217
|
+
"enum": [
|
|
2218
|
+
1,
|
|
2219
|
+
2,
|
|
2220
|
+
4,
|
|
2221
|
+
8,
|
|
2222
|
+
16
|
|
2223
|
+
]
|
|
2224
|
+
},
|
|
2225
|
+
"viridian": {
|
|
2226
|
+
"type": "boolean"
|
|
2227
|
+
},
|
|
2228
|
+
"virtualizationMode": {
|
|
2229
|
+
"type": "string",
|
|
2230
|
+
"enum": [
|
|
2231
|
+
"pv",
|
|
2232
|
+
"hvm"
|
|
2233
|
+
]
|
|
2234
|
+
},
|
|
2235
|
+
"xenStoreData": {
|
|
2236
|
+
"$ref": "#/components/schemas/Record_string.string-or-null_"
|
|
2237
|
+
},
|
|
2238
|
+
"resourceSet": {
|
|
2239
|
+
"type": "string",
|
|
2240
|
+
"nullable": true,
|
|
2241
|
+
"description": "Moves the VM in/out of a resource set."
|
|
2242
|
+
},
|
|
2243
|
+
"share": {
|
|
2244
|
+
"type": "boolean",
|
|
2245
|
+
"description": "When `true` and the VM is in a resource set, share the VM with all members\nof that resource set. `false` is a no-op."
|
|
2246
|
+
}
|
|
2247
|
+
},
|
|
2248
|
+
"type": "object",
|
|
2249
|
+
"additionalProperties": false
|
|
2250
|
+
},
|
|
1482
2251
|
"StatValues": {
|
|
1483
2252
|
"items": {
|
|
1484
2253
|
"type": "number",
|
|
@@ -1758,6 +2527,7 @@
|
|
|
1758
2527
|
"VM-snapshot",
|
|
1759
2528
|
"SR",
|
|
1760
2529
|
"VM",
|
|
2530
|
+
"VM-template",
|
|
1761
2531
|
"message",
|
|
1762
2532
|
"vgpu",
|
|
1763
2533
|
"gpuGroup",
|
|
@@ -1771,7 +2541,6 @@
|
|
|
1771
2541
|
"VDI-unmanaged",
|
|
1772
2542
|
"vgpuType",
|
|
1773
2543
|
"VM-controller",
|
|
1774
|
-
"VM-template",
|
|
1775
2544
|
"SM",
|
|
1776
2545
|
"unknown"
|
|
1777
2546
|
]
|
|
@@ -2157,8 +2926,8 @@
|
|
|
2157
2926
|
"type": "string",
|
|
2158
2927
|
"enum": [
|
|
2159
2928
|
"",
|
|
2160
|
-
"
|
|
2161
|
-
"
|
|
2929
|
+
"zstd",
|
|
2930
|
+
"native"
|
|
2162
2931
|
]
|
|
2163
2932
|
},
|
|
2164
2933
|
"proxy": {
|
|
@@ -2405,6 +3174,7 @@
|
|
|
2405
3174
|
"VM-snapshot",
|
|
2406
3175
|
"SR",
|
|
2407
3176
|
"VM",
|
|
3177
|
+
"VM-template",
|
|
2408
3178
|
"message",
|
|
2409
3179
|
"vgpu",
|
|
2410
3180
|
"gpuGroup",
|
|
@@ -2418,7 +3188,6 @@
|
|
|
2418
3188
|
"VDI-unmanaged",
|
|
2419
3189
|
"vgpuType",
|
|
2420
3190
|
"VM-controller",
|
|
2421
|
-
"VM-template",
|
|
2422
3191
|
"SM",
|
|
2423
3192
|
"backup",
|
|
2424
3193
|
"backup-archive",
|
|
@@ -2556,6 +3325,7 @@
|
|
|
2556
3325
|
"VM-snapshot",
|
|
2557
3326
|
"SR",
|
|
2558
3327
|
"VM",
|
|
3328
|
+
"VM-template",
|
|
2559
3329
|
"message",
|
|
2560
3330
|
"vgpu",
|
|
2561
3331
|
"gpuGroup",
|
|
@@ -2569,7 +3339,6 @@
|
|
|
2569
3339
|
"VDI-unmanaged",
|
|
2570
3340
|
"vgpuType",
|
|
2571
3341
|
"VM-controller",
|
|
2572
|
-
"VM-template",
|
|
2573
3342
|
"SM",
|
|
2574
3343
|
"user",
|
|
2575
3344
|
"proxy",
|
|
@@ -5689,6 +6458,51 @@
|
|
|
5689
6458
|
"UnbrandedXoVif": {
|
|
5690
6459
|
"$ref": "#/components/schemas/Unbrand_XoVif_"
|
|
5691
6460
|
},
|
|
6461
|
+
"Pick_EditVifProps.Exclude_keyofEditVifProps.ipv4Allowed-or-ipv6Allowed__": {
|
|
6462
|
+
"properties": {
|
|
6463
|
+
"lockingMode": {
|
|
6464
|
+
"$ref": "#/components/schemas/VIF_LOCKING_MODE"
|
|
6465
|
+
},
|
|
6466
|
+
"rateLimit": {
|
|
6467
|
+
"type": "number",
|
|
6468
|
+
"format": "double",
|
|
6469
|
+
"nullable": true
|
|
6470
|
+
},
|
|
6471
|
+
"txChecksumming": {
|
|
6472
|
+
"type": "boolean"
|
|
6473
|
+
}
|
|
6474
|
+
},
|
|
6475
|
+
"type": "object",
|
|
6476
|
+
"description": "From T, pick a set of properties whose keys are in the union K"
|
|
6477
|
+
},
|
|
6478
|
+
"Omit_EditVifProps.ipv4Allowed-or-ipv6Allowed_": {
|
|
6479
|
+
"$ref": "#/components/schemas/Pick_EditVifProps.Exclude_keyofEditVifProps.ipv4Allowed-or-ipv6Allowed__",
|
|
6480
|
+
"description": "Construct a type with the properties of T except for those in type K."
|
|
6481
|
+
},
|
|
6482
|
+
"UpdateVifRequestBody": {
|
|
6483
|
+
"allOf": [
|
|
6484
|
+
{
|
|
6485
|
+
"$ref": "#/components/schemas/Omit_EditVifProps.ipv4Allowed-or-ipv6Allowed_"
|
|
6486
|
+
},
|
|
6487
|
+
{
|
|
6488
|
+
"properties": {
|
|
6489
|
+
"allowedIpv6Addresses": {
|
|
6490
|
+
"items": {
|
|
6491
|
+
"type": "string"
|
|
6492
|
+
},
|
|
6493
|
+
"type": "array"
|
|
6494
|
+
},
|
|
6495
|
+
"allowedIpv4Addresses": {
|
|
6496
|
+
"items": {
|
|
6497
|
+
"type": "string"
|
|
6498
|
+
},
|
|
6499
|
+
"type": "array"
|
|
6500
|
+
}
|
|
6501
|
+
},
|
|
6502
|
+
"type": "object"
|
|
6503
|
+
}
|
|
6504
|
+
]
|
|
6505
|
+
},
|
|
5692
6506
|
"Pick_CreateVifParams_91_0_93_.Exclude_keyofCreateVifParams_91_0_93_.network-or-VM-or-other_config-or-qos_algorithm_params__": {
|
|
5693
6507
|
"properties": {
|
|
5694
6508
|
"device": {
|
|
@@ -6800,8 +7614,16 @@
|
|
|
6800
7614
|
"action": {
|
|
6801
7615
|
"type": "string",
|
|
6802
7616
|
"enum": [
|
|
7617
|
+
"forget",
|
|
7618
|
+
"update",
|
|
6803
7619
|
"*",
|
|
6804
|
-
"
|
|
7620
|
+
"create",
|
|
7621
|
+
"read",
|
|
7622
|
+
"update:name",
|
|
7623
|
+
"update:enabled",
|
|
7624
|
+
"update:options",
|
|
7625
|
+
"update:proxy",
|
|
7626
|
+
"update:url"
|
|
6805
7627
|
]
|
|
6806
7628
|
},
|
|
6807
7629
|
"selector": {
|
|
@@ -6913,9 +7735,11 @@
|
|
|
6913
7735
|
"read",
|
|
6914
7736
|
"allow-vm",
|
|
6915
7737
|
"disable",
|
|
7738
|
+
"migrate-receive",
|
|
6916
7739
|
"enable",
|
|
6917
7740
|
"evacuate",
|
|
6918
7741
|
"export:logs",
|
|
7742
|
+
"join-pool",
|
|
6919
7743
|
"update:tags"
|
|
6920
7744
|
]
|
|
6921
7745
|
},
|
|
@@ -7022,7 +7846,9 @@
|
|
|
7022
7846
|
"type": "string",
|
|
7023
7847
|
"enum": [
|
|
7024
7848
|
"*",
|
|
7025
|
-
"read"
|
|
7849
|
+
"read",
|
|
7850
|
+
"plug",
|
|
7851
|
+
"unplug"
|
|
7026
7852
|
]
|
|
7027
7853
|
},
|
|
7028
7854
|
"selector": {
|
|
@@ -7164,6 +7990,7 @@
|
|
|
7164
7990
|
"create",
|
|
7165
7991
|
"read",
|
|
7166
7992
|
"update:tags",
|
|
7993
|
+
"add-host",
|
|
7167
7994
|
"create:network",
|
|
7168
7995
|
"create:vm",
|
|
7169
7996
|
"emergency-shutdown",
|
|
@@ -7377,13 +8204,17 @@
|
|
|
7377
8204
|
"type": "string",
|
|
7378
8205
|
"enum": [
|
|
7379
8206
|
"import",
|
|
8207
|
+
"forget",
|
|
7380
8208
|
"update",
|
|
7381
8209
|
"*",
|
|
7382
8210
|
"delete",
|
|
7383
8211
|
"read",
|
|
8212
|
+
"migrate-receive",
|
|
7384
8213
|
"update:tags",
|
|
7385
8214
|
"import:vdi",
|
|
7386
|
-
"import:vm"
|
|
8215
|
+
"import:vm",
|
|
8216
|
+
"reclaim-space",
|
|
8217
|
+
"scan"
|
|
7387
8218
|
]
|
|
7388
8219
|
},
|
|
7389
8220
|
"selector": {
|
|
@@ -7494,7 +8325,11 @@
|
|
|
7494
8325
|
"type": "string",
|
|
7495
8326
|
"enum": [
|
|
7496
8327
|
"*",
|
|
7497
|
-
"
|
|
8328
|
+
"create",
|
|
8329
|
+
"delete",
|
|
8330
|
+
"read",
|
|
8331
|
+
"connect",
|
|
8332
|
+
"disconnect"
|
|
7498
8333
|
]
|
|
7499
8334
|
},
|
|
7500
8335
|
"selector": {
|
|
@@ -7527,8 +8362,12 @@
|
|
|
7527
8362
|
"action": {
|
|
7528
8363
|
"type": "string",
|
|
7529
8364
|
"enum": [
|
|
8365
|
+
"export",
|
|
8366
|
+
"update",
|
|
7530
8367
|
"*",
|
|
7531
|
-
"
|
|
8368
|
+
"delete",
|
|
8369
|
+
"read",
|
|
8370
|
+
"update:tags"
|
|
7532
8371
|
]
|
|
7533
8372
|
},
|
|
7534
8373
|
"selector": {
|
|
@@ -7603,7 +8442,8 @@
|
|
|
7603
8442
|
"read",
|
|
7604
8443
|
"update:tags",
|
|
7605
8444
|
"export-content",
|
|
7606
|
-
"import-content"
|
|
8445
|
+
"import-content",
|
|
8446
|
+
"migrate-send"
|
|
7607
8447
|
]
|
|
7608
8448
|
},
|
|
7609
8449
|
"selector": {
|
|
@@ -7704,9 +8544,18 @@
|
|
|
7704
8544
|
"action": {
|
|
7705
8545
|
"type": "string",
|
|
7706
8546
|
"enum": [
|
|
8547
|
+
"update",
|
|
7707
8548
|
"*",
|
|
7708
8549
|
"create",
|
|
7709
|
-
"
|
|
8550
|
+
"delete",
|
|
8551
|
+
"read",
|
|
8552
|
+
"connect",
|
|
8553
|
+
"disconnect",
|
|
8554
|
+
"update:allowedIpv4Addresses",
|
|
8555
|
+
"update:allowedIpv6Addresses",
|
|
8556
|
+
"update:lockingMode",
|
|
8557
|
+
"update:rateLimit",
|
|
8558
|
+
"update:txChecksumming"
|
|
7710
8559
|
]
|
|
7711
8560
|
},
|
|
7712
8561
|
"selector": {
|
|
@@ -7852,6 +8701,7 @@
|
|
|
7852
8701
|
"action": {
|
|
7853
8702
|
"type": "string",
|
|
7854
8703
|
"enum": [
|
|
8704
|
+
"clone",
|
|
7855
8705
|
"export",
|
|
7856
8706
|
"pause",
|
|
7857
8707
|
"resume",
|
|
@@ -7865,13 +8715,49 @@
|
|
|
7865
8715
|
"delete",
|
|
7866
8716
|
"read",
|
|
7867
8717
|
"update:tags",
|
|
8718
|
+
"migrate-send",
|
|
7868
8719
|
"reboot",
|
|
7869
8720
|
"reboot:clean",
|
|
7870
8721
|
"reboot:hard",
|
|
7871
8722
|
"revert-snapshot",
|
|
7872
8723
|
"shutdown:clean",
|
|
7873
8724
|
"shutdown:hard",
|
|
7874
|
-
"update:
|
|
8725
|
+
"update:affinityHost",
|
|
8726
|
+
"update:autoPoweron",
|
|
8727
|
+
"update:blockedOperations",
|
|
8728
|
+
"update:coresPerSocket",
|
|
8729
|
+
"update:cpuCap",
|
|
8730
|
+
"update:cpuMask",
|
|
8731
|
+
"update:cpuWeight",
|
|
8732
|
+
"update:cpus",
|
|
8733
|
+
"update:cpusStaticMax",
|
|
8734
|
+
"update:creation",
|
|
8735
|
+
"update:datasources",
|
|
8736
|
+
"update:expNestedHvm",
|
|
8737
|
+
"update:hasVendorDevice",
|
|
8738
|
+
"update:highAvailability",
|
|
8739
|
+
"update:hvmBootFirmware",
|
|
8740
|
+
"update:memory",
|
|
8741
|
+
"update:memoryMax",
|
|
8742
|
+
"update:memoryMin",
|
|
8743
|
+
"update:memoryStaticMax",
|
|
8744
|
+
"update:nameDescription",
|
|
8745
|
+
"update:nameLabel",
|
|
8746
|
+
"update:nestedVirt",
|
|
8747
|
+
"update:nicType",
|
|
8748
|
+
"update:notes",
|
|
8749
|
+
"update:PV_args",
|
|
8750
|
+
"update:resourceSet",
|
|
8751
|
+
"update:secureBoot",
|
|
8752
|
+
"update:share",
|
|
8753
|
+
"update:startDelay",
|
|
8754
|
+
"update:suspendSr",
|
|
8755
|
+
"update:uefiMode",
|
|
8756
|
+
"update:vga",
|
|
8757
|
+
"update:videoram",
|
|
8758
|
+
"update:viridian",
|
|
8759
|
+
"update:virtualizationMode",
|
|
8760
|
+
"update:xenStoreData"
|
|
7875
8761
|
]
|
|
7876
8762
|
},
|
|
7877
8763
|
"selector": {
|
|
@@ -8030,6 +8916,7 @@
|
|
|
8030
8916
|
"VM-snapshot",
|
|
8031
8917
|
"SR",
|
|
8032
8918
|
"VM",
|
|
8919
|
+
"VM-template",
|
|
8033
8920
|
"message",
|
|
8034
8921
|
"vgpu",
|
|
8035
8922
|
"gpuGroup",
|
|
@@ -8043,7 +8930,6 @@
|
|
|
8043
8930
|
"VDI-unmanaged",
|
|
8044
8931
|
"vgpuType",
|
|
8045
8932
|
"VM-controller",
|
|
8046
|
-
"VM-template",
|
|
8047
8933
|
"SM",
|
|
8048
8934
|
"user",
|
|
8049
8935
|
"proxy",
|
|
@@ -9161,6 +10047,9 @@
|
|
|
9161
10047
|
"HA_enabled": {
|
|
9162
10048
|
"type": "boolean"
|
|
9163
10049
|
},
|
|
10050
|
+
"haRebootVmOnInternalShutdown": {
|
|
10051
|
+
"type": "boolean"
|
|
10052
|
+
},
|
|
9164
10053
|
"haSrs": {
|
|
9165
10054
|
"items": {
|
|
9166
10055
|
"type": "string"
|
|
@@ -9296,6 +10185,9 @@
|
|
|
9296
10185
|
"HA_enabled": {
|
|
9297
10186
|
"type": "boolean"
|
|
9298
10187
|
},
|
|
10188
|
+
"haRebootVmOnInternalShutdown": {
|
|
10189
|
+
"type": "boolean"
|
|
10190
|
+
},
|
|
9299
10191
|
"haSrs": {
|
|
9300
10192
|
"items": {
|
|
9301
10193
|
"type": "string"
|
|
@@ -9355,6 +10247,7 @@
|
|
|
9355
10247
|
"cpus",
|
|
9356
10248
|
"current_operations",
|
|
9357
10249
|
"HA_enabled",
|
|
10250
|
+
"haRebootVmOnInternalShutdown",
|
|
9358
10251
|
"haSrs",
|
|
9359
10252
|
"id",
|
|
9360
10253
|
"master",
|
|
@@ -12552,6 +13445,7 @@
|
|
|
12552
13445
|
"VM-snapshot",
|
|
12553
13446
|
"SR",
|
|
12554
13447
|
"VM",
|
|
13448
|
+
"VM-template",
|
|
12555
13449
|
"message",
|
|
12556
13450
|
"vgpu",
|
|
12557
13451
|
"gpuGroup",
|
|
@@ -12565,7 +13459,6 @@
|
|
|
12565
13459
|
"VDI-unmanaged",
|
|
12566
13460
|
"vgpuType",
|
|
12567
13461
|
"VM-controller",
|
|
12568
|
-
"VM-template",
|
|
12569
13462
|
"SM",
|
|
12570
13463
|
"alarm",
|
|
12571
13464
|
"task"
|
|
@@ -12663,6 +13556,27 @@
|
|
|
12663
13556
|
}
|
|
12664
13557
|
]
|
|
12665
13558
|
},
|
|
13559
|
+
"Unbrand_Parameters_XoApp-at-createRemote__91_0_93__": {
|
|
13560
|
+
"properties": {
|
|
13561
|
+
"name": {
|
|
13562
|
+
"type": "string"
|
|
13563
|
+
},
|
|
13564
|
+
"options": {
|
|
13565
|
+
"type": "string"
|
|
13566
|
+
},
|
|
13567
|
+
"proxy": {
|
|
13568
|
+
"type": "string"
|
|
13569
|
+
},
|
|
13570
|
+
"url": {
|
|
13571
|
+
"type": "string"
|
|
13572
|
+
}
|
|
13573
|
+
},
|
|
13574
|
+
"required": [
|
|
13575
|
+
"name",
|
|
13576
|
+
"url"
|
|
13577
|
+
],
|
|
13578
|
+
"type": "object"
|
|
13579
|
+
},
|
|
12666
13580
|
"Unbrand_XoBackupRepository_": {
|
|
12667
13581
|
"properties": {
|
|
12668
13582
|
"benchmarks": {
|
|
@@ -12720,6 +13634,28 @@
|
|
|
12720
13634
|
],
|
|
12721
13635
|
"type": "object"
|
|
12722
13636
|
},
|
|
13637
|
+
"Unbrand_Parameters_XoApp-at-updateRemote__91_1_93__": {
|
|
13638
|
+
"properties": {
|
|
13639
|
+
"enabled": {
|
|
13640
|
+
"type": "boolean"
|
|
13641
|
+
},
|
|
13642
|
+
"name": {
|
|
13643
|
+
"type": "string"
|
|
13644
|
+
},
|
|
13645
|
+
"options": {
|
|
13646
|
+
"type": "string",
|
|
13647
|
+
"nullable": true
|
|
13648
|
+
},
|
|
13649
|
+
"proxy": {
|
|
13650
|
+
"type": "string",
|
|
13651
|
+
"nullable": true
|
|
13652
|
+
},
|
|
13653
|
+
"url": {
|
|
13654
|
+
"type": "string"
|
|
13655
|
+
}
|
|
13656
|
+
},
|
|
13657
|
+
"type": "object"
|
|
13658
|
+
},
|
|
12723
13659
|
"Partial_Unbrand_XoBackupLog__": {
|
|
12724
13660
|
"properties": {
|
|
12725
13661
|
"id": {
|
|
@@ -12970,8 +13906,8 @@
|
|
|
12970
13906
|
"type": "string",
|
|
12971
13907
|
"enum": [
|
|
12972
13908
|
"",
|
|
12973
|
-
"
|
|
12974
|
-
"
|
|
13909
|
+
"zstd",
|
|
13910
|
+
"native"
|
|
12975
13911
|
]
|
|
12976
13912
|
},
|
|
12977
13913
|
"proxy": {
|
|
@@ -13150,8 +14086,8 @@
|
|
|
13150
14086
|
"type": "string",
|
|
13151
14087
|
"enum": [
|
|
13152
14088
|
"",
|
|
13153
|
-
"
|
|
13154
|
-
"
|
|
14089
|
+
"zstd",
|
|
14090
|
+
"native"
|
|
13155
14091
|
]
|
|
13156
14092
|
},
|
|
13157
14093
|
"proxy": {
|
|
@@ -13799,6 +14735,7 @@
|
|
|
13799
14735
|
"VM-snapshot",
|
|
13800
14736
|
"SR",
|
|
13801
14737
|
"VM",
|
|
14738
|
+
"VM-template",
|
|
13802
14739
|
"message",
|
|
13803
14740
|
"vgpu",
|
|
13804
14741
|
"gpuGroup",
|
|
@@ -13812,7 +14749,6 @@
|
|
|
13812
14749
|
"VDI-unmanaged",
|
|
13813
14750
|
"vgpuType",
|
|
13814
14751
|
"VM-controller",
|
|
13815
|
-
"VM-template",
|
|
13816
14752
|
"SM",
|
|
13817
14753
|
"unknown"
|
|
13818
14754
|
]
|
|
@@ -13933,6 +14869,7 @@
|
|
|
13933
14869
|
"VM-snapshot",
|
|
13934
14870
|
"SR",
|
|
13935
14871
|
"VM",
|
|
14872
|
+
"VM-template",
|
|
13936
14873
|
"message",
|
|
13937
14874
|
"vgpu",
|
|
13938
14875
|
"gpuGroup",
|
|
@@ -13946,7 +14883,6 @@
|
|
|
13946
14883
|
"VDI-unmanaged",
|
|
13947
14884
|
"vgpuType",
|
|
13948
14885
|
"VM-controller",
|
|
13949
|
-
"VM-template",
|
|
13950
14886
|
"SM",
|
|
13951
14887
|
"unknown"
|
|
13952
14888
|
]
|
|
@@ -14394,8 +15330,16 @@
|
|
|
14394
15330
|
"action": {
|
|
14395
15331
|
"type": "string",
|
|
14396
15332
|
"enum": [
|
|
15333
|
+
"forget",
|
|
15334
|
+
"update",
|
|
14397
15335
|
"*",
|
|
14398
|
-
"
|
|
15336
|
+
"create",
|
|
15337
|
+
"read",
|
|
15338
|
+
"update:name",
|
|
15339
|
+
"update:enabled",
|
|
15340
|
+
"update:options",
|
|
15341
|
+
"update:proxy",
|
|
15342
|
+
"update:url"
|
|
14399
15343
|
]
|
|
14400
15344
|
},
|
|
14401
15345
|
"selector": {
|
|
@@ -14519,9 +15463,11 @@
|
|
|
14519
15463
|
"read",
|
|
14520
15464
|
"allow-vm",
|
|
14521
15465
|
"disable",
|
|
15466
|
+
"migrate-receive",
|
|
14522
15467
|
"enable",
|
|
14523
15468
|
"evacuate",
|
|
14524
15469
|
"export:logs",
|
|
15470
|
+
"join-pool",
|
|
14525
15471
|
"update:tags"
|
|
14526
15472
|
]
|
|
14527
15473
|
},
|
|
@@ -14640,7 +15586,9 @@
|
|
|
14640
15586
|
"type": "string",
|
|
14641
15587
|
"enum": [
|
|
14642
15588
|
"*",
|
|
14643
|
-
"read"
|
|
15589
|
+
"read",
|
|
15590
|
+
"plug",
|
|
15591
|
+
"unplug"
|
|
14644
15592
|
]
|
|
14645
15593
|
},
|
|
14646
15594
|
"selector": {
|
|
@@ -14798,6 +15746,7 @@
|
|
|
14798
15746
|
"create",
|
|
14799
15747
|
"read",
|
|
14800
15748
|
"update:tags",
|
|
15749
|
+
"add-host",
|
|
14801
15750
|
"create:network",
|
|
14802
15751
|
"create:vm",
|
|
14803
15752
|
"emergency-shutdown",
|
|
@@ -15035,13 +15984,17 @@
|
|
|
15035
15984
|
"type": "string",
|
|
15036
15985
|
"enum": [
|
|
15037
15986
|
"import",
|
|
15987
|
+
"forget",
|
|
15038
15988
|
"update",
|
|
15039
15989
|
"*",
|
|
15040
15990
|
"delete",
|
|
15041
15991
|
"read",
|
|
15992
|
+
"migrate-receive",
|
|
15042
15993
|
"update:tags",
|
|
15043
15994
|
"import:vdi",
|
|
15044
|
-
"import:vm"
|
|
15995
|
+
"import:vm",
|
|
15996
|
+
"reclaim-space",
|
|
15997
|
+
"scan"
|
|
15045
15998
|
]
|
|
15046
15999
|
},
|
|
15047
16000
|
"selector": {
|
|
@@ -15164,7 +16117,11 @@
|
|
|
15164
16117
|
"type": "string",
|
|
15165
16118
|
"enum": [
|
|
15166
16119
|
"*",
|
|
15167
|
-
"
|
|
16120
|
+
"create",
|
|
16121
|
+
"delete",
|
|
16122
|
+
"read",
|
|
16123
|
+
"connect",
|
|
16124
|
+
"disconnect"
|
|
15168
16125
|
]
|
|
15169
16126
|
},
|
|
15170
16127
|
"selector": {
|
|
@@ -15201,8 +16158,12 @@
|
|
|
15201
16158
|
"action": {
|
|
15202
16159
|
"type": "string",
|
|
15203
16160
|
"enum": [
|
|
16161
|
+
"export",
|
|
16162
|
+
"update",
|
|
15204
16163
|
"*",
|
|
15205
|
-
"
|
|
16164
|
+
"delete",
|
|
16165
|
+
"read",
|
|
16166
|
+
"update:tags"
|
|
15206
16167
|
]
|
|
15207
16168
|
},
|
|
15208
16169
|
"selector": {
|
|
@@ -15285,7 +16246,8 @@
|
|
|
15285
16246
|
"read",
|
|
15286
16247
|
"update:tags",
|
|
15287
16248
|
"export-content",
|
|
15288
|
-
"import-content"
|
|
16249
|
+
"import-content",
|
|
16250
|
+
"migrate-send"
|
|
15289
16251
|
]
|
|
15290
16252
|
},
|
|
15291
16253
|
"selector": {
|
|
@@ -15398,9 +16360,18 @@
|
|
|
15398
16360
|
"action": {
|
|
15399
16361
|
"type": "string",
|
|
15400
16362
|
"enum": [
|
|
16363
|
+
"update",
|
|
15401
16364
|
"*",
|
|
15402
16365
|
"create",
|
|
15403
|
-
"
|
|
16366
|
+
"delete",
|
|
16367
|
+
"read",
|
|
16368
|
+
"connect",
|
|
16369
|
+
"disconnect",
|
|
16370
|
+
"update:allowedIpv4Addresses",
|
|
16371
|
+
"update:allowedIpv6Addresses",
|
|
16372
|
+
"update:lockingMode",
|
|
16373
|
+
"update:rateLimit",
|
|
16374
|
+
"update:txChecksumming"
|
|
15404
16375
|
]
|
|
15405
16376
|
},
|
|
15406
16377
|
"selector": {
|
|
@@ -15562,6 +16533,7 @@
|
|
|
15562
16533
|
"action": {
|
|
15563
16534
|
"type": "string",
|
|
15564
16535
|
"enum": [
|
|
16536
|
+
"clone",
|
|
15565
16537
|
"export",
|
|
15566
16538
|
"pause",
|
|
15567
16539
|
"resume",
|
|
@@ -15575,13 +16547,49 @@
|
|
|
15575
16547
|
"delete",
|
|
15576
16548
|
"read",
|
|
15577
16549
|
"update:tags",
|
|
16550
|
+
"migrate-send",
|
|
15578
16551
|
"reboot",
|
|
15579
16552
|
"reboot:clean",
|
|
15580
16553
|
"reboot:hard",
|
|
15581
16554
|
"revert-snapshot",
|
|
15582
16555
|
"shutdown:clean",
|
|
15583
16556
|
"shutdown:hard",
|
|
15584
|
-
"update:
|
|
16557
|
+
"update:affinityHost",
|
|
16558
|
+
"update:autoPoweron",
|
|
16559
|
+
"update:blockedOperations",
|
|
16560
|
+
"update:coresPerSocket",
|
|
16561
|
+
"update:cpuCap",
|
|
16562
|
+
"update:cpuMask",
|
|
16563
|
+
"update:cpuWeight",
|
|
16564
|
+
"update:cpus",
|
|
16565
|
+
"update:cpusStaticMax",
|
|
16566
|
+
"update:creation",
|
|
16567
|
+
"update:datasources",
|
|
16568
|
+
"update:expNestedHvm",
|
|
16569
|
+
"update:hasVendorDevice",
|
|
16570
|
+
"update:highAvailability",
|
|
16571
|
+
"update:hvmBootFirmware",
|
|
16572
|
+
"update:memory",
|
|
16573
|
+
"update:memoryMax",
|
|
16574
|
+
"update:memoryMin",
|
|
16575
|
+
"update:memoryStaticMax",
|
|
16576
|
+
"update:nameDescription",
|
|
16577
|
+
"update:nameLabel",
|
|
16578
|
+
"update:nestedVirt",
|
|
16579
|
+
"update:nicType",
|
|
16580
|
+
"update:notes",
|
|
16581
|
+
"update:PV_args",
|
|
16582
|
+
"update:resourceSet",
|
|
16583
|
+
"update:secureBoot",
|
|
16584
|
+
"update:share",
|
|
16585
|
+
"update:startDelay",
|
|
16586
|
+
"update:suspendSr",
|
|
16587
|
+
"update:uefiMode",
|
|
16588
|
+
"update:vga",
|
|
16589
|
+
"update:videoram",
|
|
16590
|
+
"update:viridian",
|
|
16591
|
+
"update:virtualizationMode",
|
|
16592
|
+
"update:xenStoreData"
|
|
15585
16593
|
]
|
|
15586
16594
|
},
|
|
15587
16595
|
"selector": {
|
|
@@ -15929,8 +16937,16 @@
|
|
|
15929
16937
|
"action": {
|
|
15930
16938
|
"type": "string",
|
|
15931
16939
|
"enum": [
|
|
16940
|
+
"forget",
|
|
16941
|
+
"update",
|
|
15932
16942
|
"*",
|
|
15933
|
-
"
|
|
16943
|
+
"create",
|
|
16944
|
+
"read",
|
|
16945
|
+
"update:name",
|
|
16946
|
+
"update:enabled",
|
|
16947
|
+
"update:options",
|
|
16948
|
+
"update:proxy",
|
|
16949
|
+
"update:url"
|
|
15934
16950
|
]
|
|
15935
16951
|
},
|
|
15936
16952
|
"selector": {
|
|
@@ -16066,9 +17082,11 @@
|
|
|
16066
17082
|
"read",
|
|
16067
17083
|
"allow-vm",
|
|
16068
17084
|
"disable",
|
|
17085
|
+
"migrate-receive",
|
|
16069
17086
|
"enable",
|
|
16070
17087
|
"evacuate",
|
|
16071
17088
|
"export:logs",
|
|
17089
|
+
"join-pool",
|
|
16072
17090
|
"update:tags"
|
|
16073
17091
|
]
|
|
16074
17092
|
},
|
|
@@ -16199,7 +17217,9 @@
|
|
|
16199
17217
|
"type": "string",
|
|
16200
17218
|
"enum": [
|
|
16201
17219
|
"*",
|
|
16202
|
-
"read"
|
|
17220
|
+
"read",
|
|
17221
|
+
"plug",
|
|
17222
|
+
"unplug"
|
|
16203
17223
|
]
|
|
16204
17224
|
},
|
|
16205
17225
|
"selector": {
|
|
@@ -16373,6 +17393,7 @@
|
|
|
16373
17393
|
"create",
|
|
16374
17394
|
"read",
|
|
16375
17395
|
"update:tags",
|
|
17396
|
+
"add-host",
|
|
16376
17397
|
"create:network",
|
|
16377
17398
|
"create:vm",
|
|
16378
17399
|
"emergency-shutdown",
|
|
@@ -16634,13 +17655,17 @@
|
|
|
16634
17655
|
"type": "string",
|
|
16635
17656
|
"enum": [
|
|
16636
17657
|
"import",
|
|
17658
|
+
"forget",
|
|
16637
17659
|
"update",
|
|
16638
17660
|
"*",
|
|
16639
17661
|
"delete",
|
|
16640
17662
|
"read",
|
|
17663
|
+
"migrate-receive",
|
|
16641
17664
|
"update:tags",
|
|
16642
17665
|
"import:vdi",
|
|
16643
|
-
"import:vm"
|
|
17666
|
+
"import:vm",
|
|
17667
|
+
"reclaim-space",
|
|
17668
|
+
"scan"
|
|
16644
17669
|
]
|
|
16645
17670
|
},
|
|
16646
17671
|
"selector": {
|
|
@@ -16775,7 +17800,11 @@
|
|
|
16775
17800
|
"type": "string",
|
|
16776
17801
|
"enum": [
|
|
16777
17802
|
"*",
|
|
16778
|
-
"
|
|
17803
|
+
"create",
|
|
17804
|
+
"delete",
|
|
17805
|
+
"read",
|
|
17806
|
+
"connect",
|
|
17807
|
+
"disconnect"
|
|
16779
17808
|
]
|
|
16780
17809
|
},
|
|
16781
17810
|
"selector": {
|
|
@@ -16816,8 +17845,12 @@
|
|
|
16816
17845
|
"action": {
|
|
16817
17846
|
"type": "string",
|
|
16818
17847
|
"enum": [
|
|
17848
|
+
"export",
|
|
17849
|
+
"update",
|
|
16819
17850
|
"*",
|
|
16820
|
-
"
|
|
17851
|
+
"delete",
|
|
17852
|
+
"read",
|
|
17853
|
+
"update:tags"
|
|
16821
17854
|
]
|
|
16822
17855
|
},
|
|
16823
17856
|
"selector": {
|
|
@@ -16908,7 +17941,8 @@
|
|
|
16908
17941
|
"read",
|
|
16909
17942
|
"update:tags",
|
|
16910
17943
|
"export-content",
|
|
16911
|
-
"import-content"
|
|
17944
|
+
"import-content",
|
|
17945
|
+
"migrate-send"
|
|
16912
17946
|
]
|
|
16913
17947
|
},
|
|
16914
17948
|
"selector": {
|
|
@@ -17033,9 +18067,18 @@
|
|
|
17033
18067
|
"action": {
|
|
17034
18068
|
"type": "string",
|
|
17035
18069
|
"enum": [
|
|
18070
|
+
"update",
|
|
17036
18071
|
"*",
|
|
17037
18072
|
"create",
|
|
17038
|
-
"
|
|
18073
|
+
"delete",
|
|
18074
|
+
"read",
|
|
18075
|
+
"connect",
|
|
18076
|
+
"disconnect",
|
|
18077
|
+
"update:allowedIpv4Addresses",
|
|
18078
|
+
"update:allowedIpv6Addresses",
|
|
18079
|
+
"update:lockingMode",
|
|
18080
|
+
"update:rateLimit",
|
|
18081
|
+
"update:txChecksumming"
|
|
17039
18082
|
]
|
|
17040
18083
|
},
|
|
17041
18084
|
"selector": {
|
|
@@ -17213,6 +18256,7 @@
|
|
|
17213
18256
|
"action": {
|
|
17214
18257
|
"type": "string",
|
|
17215
18258
|
"enum": [
|
|
18259
|
+
"clone",
|
|
17216
18260
|
"export",
|
|
17217
18261
|
"pause",
|
|
17218
18262
|
"resume",
|
|
@@ -17226,13 +18270,49 @@
|
|
|
17226
18270
|
"delete",
|
|
17227
18271
|
"read",
|
|
17228
18272
|
"update:tags",
|
|
18273
|
+
"migrate-send",
|
|
17229
18274
|
"reboot",
|
|
17230
18275
|
"reboot:clean",
|
|
17231
18276
|
"reboot:hard",
|
|
17232
18277
|
"revert-snapshot",
|
|
17233
18278
|
"shutdown:clean",
|
|
17234
18279
|
"shutdown:hard",
|
|
17235
|
-
"update:
|
|
18280
|
+
"update:affinityHost",
|
|
18281
|
+
"update:autoPoweron",
|
|
18282
|
+
"update:blockedOperations",
|
|
18283
|
+
"update:coresPerSocket",
|
|
18284
|
+
"update:cpuCap",
|
|
18285
|
+
"update:cpuMask",
|
|
18286
|
+
"update:cpuWeight",
|
|
18287
|
+
"update:cpus",
|
|
18288
|
+
"update:cpusStaticMax",
|
|
18289
|
+
"update:creation",
|
|
18290
|
+
"update:datasources",
|
|
18291
|
+
"update:expNestedHvm",
|
|
18292
|
+
"update:hasVendorDevice",
|
|
18293
|
+
"update:highAvailability",
|
|
18294
|
+
"update:hvmBootFirmware",
|
|
18295
|
+
"update:memory",
|
|
18296
|
+
"update:memoryMax",
|
|
18297
|
+
"update:memoryMin",
|
|
18298
|
+
"update:memoryStaticMax",
|
|
18299
|
+
"update:nameDescription",
|
|
18300
|
+
"update:nameLabel",
|
|
18301
|
+
"update:nestedVirt",
|
|
18302
|
+
"update:nicType",
|
|
18303
|
+
"update:notes",
|
|
18304
|
+
"update:PV_args",
|
|
18305
|
+
"update:resourceSet",
|
|
18306
|
+
"update:secureBoot",
|
|
18307
|
+
"update:share",
|
|
18308
|
+
"update:startDelay",
|
|
18309
|
+
"update:suspendSr",
|
|
18310
|
+
"update:uefiMode",
|
|
18311
|
+
"update:vga",
|
|
18312
|
+
"update:videoram",
|
|
18313
|
+
"update:viridian",
|
|
18314
|
+
"update:virtualizationMode",
|
|
18315
|
+
"update:xenStoreData"
|
|
17236
18316
|
]
|
|
17237
18317
|
},
|
|
17238
18318
|
"selector": {
|
|
@@ -17497,8 +18577,16 @@
|
|
|
17497
18577
|
"action": {
|
|
17498
18578
|
"type": "string",
|
|
17499
18579
|
"enum": [
|
|
18580
|
+
"forget",
|
|
18581
|
+
"update",
|
|
17500
18582
|
"*",
|
|
17501
|
-
"
|
|
18583
|
+
"create",
|
|
18584
|
+
"read",
|
|
18585
|
+
"update:name",
|
|
18586
|
+
"update:enabled",
|
|
18587
|
+
"update:options",
|
|
18588
|
+
"update:proxy",
|
|
18589
|
+
"update:url"
|
|
17502
18590
|
]
|
|
17503
18591
|
},
|
|
17504
18592
|
"selector": {
|
|
@@ -17592,9 +18680,11 @@
|
|
|
17592
18680
|
"read",
|
|
17593
18681
|
"allow-vm",
|
|
17594
18682
|
"disable",
|
|
18683
|
+
"migrate-receive",
|
|
17595
18684
|
"enable",
|
|
17596
18685
|
"evacuate",
|
|
17597
18686
|
"export:logs",
|
|
18687
|
+
"join-pool",
|
|
17598
18688
|
"update:tags"
|
|
17599
18689
|
]
|
|
17600
18690
|
},
|
|
@@ -17683,7 +18773,9 @@
|
|
|
17683
18773
|
"type": "string",
|
|
17684
18774
|
"enum": [
|
|
17685
18775
|
"*",
|
|
17686
|
-
"read"
|
|
18776
|
+
"read",
|
|
18777
|
+
"plug",
|
|
18778
|
+
"unplug"
|
|
17687
18779
|
]
|
|
17688
18780
|
},
|
|
17689
18781
|
"selector": {
|
|
@@ -17801,6 +18893,7 @@
|
|
|
17801
18893
|
"create",
|
|
17802
18894
|
"read",
|
|
17803
18895
|
"update:tags",
|
|
18896
|
+
"add-host",
|
|
17804
18897
|
"create:network",
|
|
17805
18898
|
"create:vm",
|
|
17806
18899
|
"emergency-shutdown",
|
|
@@ -17978,13 +19071,17 @@
|
|
|
17978
19071
|
"type": "string",
|
|
17979
19072
|
"enum": [
|
|
17980
19073
|
"import",
|
|
19074
|
+
"forget",
|
|
17981
19075
|
"update",
|
|
17982
19076
|
"*",
|
|
17983
19077
|
"delete",
|
|
17984
19078
|
"read",
|
|
19079
|
+
"migrate-receive",
|
|
17985
19080
|
"update:tags",
|
|
17986
19081
|
"import:vdi",
|
|
17987
|
-
"import:vm"
|
|
19082
|
+
"import:vm",
|
|
19083
|
+
"reclaim-space",
|
|
19084
|
+
"scan"
|
|
17988
19085
|
]
|
|
17989
19086
|
},
|
|
17990
19087
|
"selector": {
|
|
@@ -18077,7 +19174,11 @@
|
|
|
18077
19174
|
"type": "string",
|
|
18078
19175
|
"enum": [
|
|
18079
19176
|
"*",
|
|
18080
|
-
"
|
|
19177
|
+
"create",
|
|
19178
|
+
"delete",
|
|
19179
|
+
"read",
|
|
19180
|
+
"connect",
|
|
19181
|
+
"disconnect"
|
|
18081
19182
|
]
|
|
18082
19183
|
},
|
|
18083
19184
|
"selector": {
|
|
@@ -18104,8 +19205,12 @@
|
|
|
18104
19205
|
"action": {
|
|
18105
19206
|
"type": "string",
|
|
18106
19207
|
"enum": [
|
|
19208
|
+
"export",
|
|
19209
|
+
"update",
|
|
18107
19210
|
"*",
|
|
18108
|
-
"
|
|
19211
|
+
"delete",
|
|
19212
|
+
"read",
|
|
19213
|
+
"update:tags"
|
|
18109
19214
|
]
|
|
18110
19215
|
},
|
|
18111
19216
|
"selector": {
|
|
@@ -18168,7 +19273,8 @@
|
|
|
18168
19273
|
"read",
|
|
18169
19274
|
"update:tags",
|
|
18170
19275
|
"export-content",
|
|
18171
|
-
"import-content"
|
|
19276
|
+
"import-content",
|
|
19277
|
+
"migrate-send"
|
|
18172
19278
|
]
|
|
18173
19279
|
},
|
|
18174
19280
|
"selector": {
|
|
@@ -18251,9 +19357,18 @@
|
|
|
18251
19357
|
"action": {
|
|
18252
19358
|
"type": "string",
|
|
18253
19359
|
"enum": [
|
|
19360
|
+
"update",
|
|
18254
19361
|
"*",
|
|
18255
19362
|
"create",
|
|
18256
|
-
"
|
|
19363
|
+
"delete",
|
|
19364
|
+
"read",
|
|
19365
|
+
"connect",
|
|
19366
|
+
"disconnect",
|
|
19367
|
+
"update:allowedIpv4Addresses",
|
|
19368
|
+
"update:allowedIpv6Addresses",
|
|
19369
|
+
"update:lockingMode",
|
|
19370
|
+
"update:rateLimit",
|
|
19371
|
+
"update:txChecksumming"
|
|
18257
19372
|
]
|
|
18258
19373
|
},
|
|
18259
19374
|
"selector": {
|
|
@@ -18375,6 +19490,7 @@
|
|
|
18375
19490
|
"action": {
|
|
18376
19491
|
"type": "string",
|
|
18377
19492
|
"enum": [
|
|
19493
|
+
"clone",
|
|
18378
19494
|
"export",
|
|
18379
19495
|
"pause",
|
|
18380
19496
|
"resume",
|
|
@@ -18388,13 +19504,49 @@
|
|
|
18388
19504
|
"delete",
|
|
18389
19505
|
"read",
|
|
18390
19506
|
"update:tags",
|
|
19507
|
+
"migrate-send",
|
|
18391
19508
|
"reboot",
|
|
18392
19509
|
"reboot:clean",
|
|
18393
19510
|
"reboot:hard",
|
|
18394
19511
|
"revert-snapshot",
|
|
18395
19512
|
"shutdown:clean",
|
|
18396
19513
|
"shutdown:hard",
|
|
18397
|
-
"update:
|
|
19514
|
+
"update:affinityHost",
|
|
19515
|
+
"update:autoPoweron",
|
|
19516
|
+
"update:blockedOperations",
|
|
19517
|
+
"update:coresPerSocket",
|
|
19518
|
+
"update:cpuCap",
|
|
19519
|
+
"update:cpuMask",
|
|
19520
|
+
"update:cpuWeight",
|
|
19521
|
+
"update:cpus",
|
|
19522
|
+
"update:cpusStaticMax",
|
|
19523
|
+
"update:creation",
|
|
19524
|
+
"update:datasources",
|
|
19525
|
+
"update:expNestedHvm",
|
|
19526
|
+
"update:hasVendorDevice",
|
|
19527
|
+
"update:highAvailability",
|
|
19528
|
+
"update:hvmBootFirmware",
|
|
19529
|
+
"update:memory",
|
|
19530
|
+
"update:memoryMax",
|
|
19531
|
+
"update:memoryMin",
|
|
19532
|
+
"update:memoryStaticMax",
|
|
19533
|
+
"update:nameDescription",
|
|
19534
|
+
"update:nameLabel",
|
|
19535
|
+
"update:nestedVirt",
|
|
19536
|
+
"update:nicType",
|
|
19537
|
+
"update:notes",
|
|
19538
|
+
"update:PV_args",
|
|
19539
|
+
"update:resourceSet",
|
|
19540
|
+
"update:secureBoot",
|
|
19541
|
+
"update:share",
|
|
19542
|
+
"update:startDelay",
|
|
19543
|
+
"update:suspendSr",
|
|
19544
|
+
"update:uefiMode",
|
|
19545
|
+
"update:vga",
|
|
19546
|
+
"update:videoram",
|
|
19547
|
+
"update:viridian",
|
|
19548
|
+
"update:virtualizationMode",
|
|
19549
|
+
"update:xenStoreData"
|
|
18398
19550
|
]
|
|
18399
19551
|
},
|
|
18400
19552
|
"selector": {
|
|
@@ -18455,7 +19607,7 @@
|
|
|
18455
19607
|
},
|
|
18456
19608
|
"info": {
|
|
18457
19609
|
"title": "@xen-orchestra/rest-api",
|
|
18458
|
-
"version": "0.
|
|
19610
|
+
"version": "0.34.0",
|
|
18459
19611
|
"description": "REST API to manage your XOA",
|
|
18460
19612
|
"license": {
|
|
18461
19613
|
"name": "AGPL-3.0-or-later"
|
|
@@ -18800,8 +19952,8 @@
|
|
|
18800
19952
|
"schema": {
|
|
18801
19953
|
"type": "string",
|
|
18802
19954
|
"enum": [
|
|
18803
|
-
"
|
|
18804
|
-
"
|
|
19955
|
+
"ova",
|
|
19956
|
+
"xva"
|
|
18805
19957
|
]
|
|
18806
19958
|
}
|
|
18807
19959
|
},
|
|
@@ -18809,9 +19961,7 @@
|
|
|
18809
19961
|
"in": "query",
|
|
18810
19962
|
"name": "compress",
|
|
18811
19963
|
"required": false,
|
|
18812
|
-
"schema": {
|
|
18813
|
-
"type": "boolean"
|
|
18814
|
-
}
|
|
19964
|
+
"schema": {}
|
|
18815
19965
|
}
|
|
18816
19966
|
],
|
|
18817
19967
|
"x-mcp-exposure": "deny"
|
|
@@ -18964,6 +20114,67 @@
|
|
|
18964
20114
|
],
|
|
18965
20115
|
"x-mcp-exposure": "allow"
|
|
18966
20116
|
},
|
|
20117
|
+
"patch": {
|
|
20118
|
+
"operationId": "UpdateVm",
|
|
20119
|
+
"responses": {
|
|
20120
|
+
"204": {
|
|
20121
|
+
"description": "No content"
|
|
20122
|
+
},
|
|
20123
|
+
"400": {
|
|
20124
|
+
"description": "Bad request"
|
|
20125
|
+
},
|
|
20126
|
+
"401": {
|
|
20127
|
+
"description": "Authentication required"
|
|
20128
|
+
},
|
|
20129
|
+
"403": {
|
|
20130
|
+
"description": "Forbidden"
|
|
20131
|
+
},
|
|
20132
|
+
"404": {
|
|
20133
|
+
"description": "Resource not found"
|
|
20134
|
+
},
|
|
20135
|
+
"422": {
|
|
20136
|
+
"description": "Invalid parameters"
|
|
20137
|
+
},
|
|
20138
|
+
"500": {
|
|
20139
|
+
"description": "Internal server error, XenServer/XCP-ng error"
|
|
20140
|
+
}
|
|
20141
|
+
},
|
|
20142
|
+
"description": "Partial update of a VM. Only the fields present in the body are modified;\neverything else is left untouched.\n\nOperations are applied sequentially: if one fails, previously applied\nchanges are not rolled back.\n\nRequired privilege per field provided in the body:\n- resource: vm, action: update:<field> (e.g. update:nameLabel, update:cpus, ...)\n\nSpecial fields:\n- `xenStoreData` keys are automatically prefixed with `vm-data/` when missing",
|
|
20143
|
+
"tags": [
|
|
20144
|
+
"vms"
|
|
20145
|
+
],
|
|
20146
|
+
"security": [
|
|
20147
|
+
{
|
|
20148
|
+
"*": []
|
|
20149
|
+
}
|
|
20150
|
+
],
|
|
20151
|
+
"parameters": [
|
|
20152
|
+
{
|
|
20153
|
+
"in": "path",
|
|
20154
|
+
"name": "id",
|
|
20155
|
+
"required": true,
|
|
20156
|
+
"schema": {
|
|
20157
|
+
"type": "string"
|
|
20158
|
+
},
|
|
20159
|
+
"example": "f07ab729-c0e8-721c-45ec-f11276377030"
|
|
20160
|
+
}
|
|
20161
|
+
],
|
|
20162
|
+
"requestBody": {
|
|
20163
|
+
"required": true,
|
|
20164
|
+
"content": {
|
|
20165
|
+
"application/json": {
|
|
20166
|
+
"schema": {
|
|
20167
|
+
"$ref": "#/components/schemas/UpdateVmRequestBody"
|
|
20168
|
+
},
|
|
20169
|
+
"example": {
|
|
20170
|
+
"nameLabel": "web-prod-01",
|
|
20171
|
+
"nameDescription": "Production web frontend — managed by n8n",
|
|
20172
|
+
"notes": "Docker containers: nginx, app-1, app-2"
|
|
20173
|
+
}
|
|
20174
|
+
}
|
|
20175
|
+
}
|
|
20176
|
+
}
|
|
20177
|
+
},
|
|
18967
20178
|
"delete": {
|
|
18968
20179
|
"operationId": "DeleteVm",
|
|
18969
20180
|
"responses": {
|
|
@@ -21290,6 +22501,9 @@
|
|
|
21290
22501
|
"401": {
|
|
21291
22502
|
"description": "Authentication required"
|
|
21292
22503
|
},
|
|
22504
|
+
"403": {
|
|
22505
|
+
"description": "Forbidden"
|
|
22506
|
+
},
|
|
21293
22507
|
"404": {
|
|
21294
22508
|
"description": "Resource not found"
|
|
21295
22509
|
},
|
|
@@ -21300,7 +22514,7 @@
|
|
|
21300
22514
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
21301
22515
|
}
|
|
21302
22516
|
},
|
|
21303
|
-
"description": "\n- For fast clone on the same SR, omit `srId` and set `fast` to `true`.\n- For full copy on the same SR, omit `srId` and set `fast` to `false`.\n- To copy the VM to a different SR (always a full copy), provide `srId`. Supports cross-pool copy. Optionally use `compress: \"gzip\"` or `compress: \"zstd\"` to compress the export stream during cross-pool copy.",
|
|
22517
|
+
"description": "Required privilege:\n- resource: vm, action: clone\n\n- For fast clone on the same SR, omit `srId` and set `fast` to `true`.\n- For full copy on the same SR, omit `srId` and set `fast` to `false`.\n- To copy the VM to a different SR (always a full copy), provide `srId`. Supports cross-pool copy. Optionally use `compress: \"gzip\"` or `compress: \"zstd\"` to compress the export stream during cross-pool copy.",
|
|
21304
22518
|
"tags": [
|
|
21305
22519
|
"vms"
|
|
21306
22520
|
],
|
|
@@ -22232,6 +23446,9 @@
|
|
|
22232
23446
|
"401": {
|
|
22233
23447
|
"description": "Authentication required"
|
|
22234
23448
|
},
|
|
23449
|
+
"403": {
|
|
23450
|
+
"description": "Forbidden"
|
|
23451
|
+
},
|
|
22235
23452
|
"404": {
|
|
22236
23453
|
"description": "Resource not found"
|
|
22237
23454
|
},
|
|
@@ -22242,7 +23459,7 @@
|
|
|
22242
23459
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
22243
23460
|
}
|
|
22244
23461
|
},
|
|
22245
|
-
"description": "
|
|
23462
|
+
"description": "Required privileges:\n- resource: vm, action: migrate-send\n- resource: host, action: migrate-receive (on the destination host)\n\nVIF mapping is not allowed for intra-pool migration\n\nNetworks and SRs must belong to the same pool as the destination host",
|
|
22246
23463
|
"tags": [
|
|
22247
23464
|
"vms"
|
|
22248
23465
|
],
|
|
@@ -22503,9 +23720,7 @@
|
|
|
22503
23720
|
"in": "query",
|
|
22504
23721
|
"name": "compress",
|
|
22505
23722
|
"required": false,
|
|
22506
|
-
"schema": {
|
|
22507
|
-
"type": "boolean"
|
|
22508
|
-
}
|
|
23723
|
+
"schema": {}
|
|
22509
23724
|
}
|
|
22510
23725
|
],
|
|
22511
23726
|
"x-mcp-exposure": "deny"
|
|
@@ -23438,9 +24653,7 @@
|
|
|
23438
24653
|
"in": "query",
|
|
23439
24654
|
"name": "compress",
|
|
23440
24655
|
"required": false,
|
|
23441
|
-
"schema": {
|
|
23442
|
-
"type": "boolean"
|
|
23443
|
-
}
|
|
24656
|
+
"schema": {}
|
|
23444
24657
|
}
|
|
23445
24658
|
],
|
|
23446
24659
|
"x-mcp-exposure": "deny"
|
|
@@ -25232,6 +26445,9 @@
|
|
|
25232
26445
|
"401": {
|
|
25233
26446
|
"description": "Authentication required"
|
|
25234
26447
|
},
|
|
26448
|
+
"403": {
|
|
26449
|
+
"description": "Forbidden"
|
|
26450
|
+
},
|
|
25235
26451
|
"404": {
|
|
25236
26452
|
"description": "Resource not found"
|
|
25237
26453
|
},
|
|
@@ -25242,6 +26458,7 @@
|
|
|
25242
26458
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
25243
26459
|
}
|
|
25244
26460
|
},
|
|
26461
|
+
"description": "Required privilege:\n- resource: vif, action: create",
|
|
25245
26462
|
"tags": [
|
|
25246
26463
|
"vifs"
|
|
25247
26464
|
],
|
|
@@ -25347,6 +26564,70 @@
|
|
|
25347
26564
|
],
|
|
25348
26565
|
"x-mcp-exposure": "allow"
|
|
25349
26566
|
},
|
|
26567
|
+
"patch": {
|
|
26568
|
+
"operationId": "UpdateVif",
|
|
26569
|
+
"responses": {
|
|
26570
|
+
"204": {
|
|
26571
|
+
"description": "No content"
|
|
26572
|
+
},
|
|
26573
|
+
"400": {
|
|
26574
|
+
"description": "Bad request"
|
|
26575
|
+
},
|
|
26576
|
+
"401": {
|
|
26577
|
+
"description": "Authentication required"
|
|
26578
|
+
},
|
|
26579
|
+
"403": {
|
|
26580
|
+
"description": "Forbidden"
|
|
26581
|
+
},
|
|
26582
|
+
"404": {
|
|
26583
|
+
"description": "Resource not found"
|
|
26584
|
+
},
|
|
26585
|
+
"422": {
|
|
26586
|
+
"description": "Invalid parameters"
|
|
26587
|
+
},
|
|
26588
|
+
"500": {
|
|
26589
|
+
"description": "Internal server error, XenServer/XCP-ng error"
|
|
26590
|
+
}
|
|
26591
|
+
},
|
|
26592
|
+
"description": "Partial update of a VIF: only the fields present in the body are modified.\nSetting the allowed IPs to a non-empty list switches the locking mode to `locked`.\n`rateLimit` is expressed in kB/s (kilobytes per second).\n\nRequired privilege per field provided in the body:\n- resource: vif, action: update:<field>",
|
|
26593
|
+
"tags": [
|
|
26594
|
+
"vifs"
|
|
26595
|
+
],
|
|
26596
|
+
"security": [
|
|
26597
|
+
{
|
|
26598
|
+
"*": []
|
|
26599
|
+
}
|
|
26600
|
+
],
|
|
26601
|
+
"parameters": [
|
|
26602
|
+
{
|
|
26603
|
+
"in": "path",
|
|
26604
|
+
"name": "id",
|
|
26605
|
+
"required": true,
|
|
26606
|
+
"schema": {
|
|
26607
|
+
"type": "string"
|
|
26608
|
+
},
|
|
26609
|
+
"example": "f028c5d4-578a-332c-394e-087aaca32dd3"
|
|
26610
|
+
}
|
|
26611
|
+
],
|
|
26612
|
+
"requestBody": {
|
|
26613
|
+
"required": true,
|
|
26614
|
+
"content": {
|
|
26615
|
+
"application/json": {
|
|
26616
|
+
"schema": {
|
|
26617
|
+
"$ref": "#/components/schemas/UpdateVifRequestBody"
|
|
26618
|
+
},
|
|
26619
|
+
"example": {
|
|
26620
|
+
"lockingMode": "locked",
|
|
26621
|
+
"allowedIpv4Addresses": [
|
|
26622
|
+
"192.168.0.42"
|
|
26623
|
+
],
|
|
26624
|
+
"rateLimit": 1000
|
|
26625
|
+
}
|
|
26626
|
+
}
|
|
26627
|
+
}
|
|
26628
|
+
},
|
|
26629
|
+
"x-mcp-exposure": "confirm"
|
|
26630
|
+
},
|
|
25350
26631
|
"delete": {
|
|
25351
26632
|
"operationId": "DestroyVif",
|
|
25352
26633
|
"responses": {
|
|
@@ -25359,6 +26640,9 @@
|
|
|
25359
26640
|
"401": {
|
|
25360
26641
|
"description": "Authentication required"
|
|
25361
26642
|
},
|
|
26643
|
+
"403": {
|
|
26644
|
+
"description": "Forbidden"
|
|
26645
|
+
},
|
|
25362
26646
|
"404": {
|
|
25363
26647
|
"description": "Resource not found"
|
|
25364
26648
|
},
|
|
@@ -25366,6 +26650,7 @@
|
|
|
25366
26650
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
25367
26651
|
}
|
|
25368
26652
|
},
|
|
26653
|
+
"description": "Required privilege:\n- resource: vif, action: delete",
|
|
25369
26654
|
"tags": [
|
|
25370
26655
|
"vifs"
|
|
25371
26656
|
],
|
|
@@ -25778,6 +27063,9 @@
|
|
|
25778
27063
|
"401": {
|
|
25779
27064
|
"description": "Authentication required"
|
|
25780
27065
|
},
|
|
27066
|
+
"403": {
|
|
27067
|
+
"description": "Forbidden"
|
|
27068
|
+
},
|
|
25781
27069
|
"404": {
|
|
25782
27070
|
"description": "Resource not found"
|
|
25783
27071
|
},
|
|
@@ -25785,7 +27073,7 @@
|
|
|
25785
27073
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
25786
27074
|
}
|
|
25787
27075
|
},
|
|
25788
|
-
"description": "Hotplug the VIF, dynamically attaching it to the running VM\nRequires PV drivers to be installed on the VM",
|
|
27076
|
+
"description": "Hotplug the VIF, dynamically attaching it to the running VM\nRequires PV drivers to be installed on the VM\n\nRequired privilege:\n- resource: vif, action: connect",
|
|
25789
27077
|
"tags": [
|
|
25790
27078
|
"vifs"
|
|
25791
27079
|
],
|
|
@@ -25846,6 +27134,9 @@
|
|
|
25846
27134
|
"401": {
|
|
25847
27135
|
"description": "Authentication required"
|
|
25848
27136
|
},
|
|
27137
|
+
"403": {
|
|
27138
|
+
"description": "Forbidden"
|
|
27139
|
+
},
|
|
25849
27140
|
"404": {
|
|
25850
27141
|
"description": "Resource not found"
|
|
25851
27142
|
},
|
|
@@ -25853,7 +27144,7 @@
|
|
|
25853
27144
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
25854
27145
|
}
|
|
25855
27146
|
},
|
|
25856
|
-
"description": "Hot-unplug the VIF, dynamically detaching it from the running VM\nRequires PV drivers to be installed on the VM",
|
|
27147
|
+
"description": "Hot-unplug the VIF, dynamically detaching it from the running VM\nRequires PV drivers to be installed on the VM\n\nRequired privilege:\n- resource: vif, action: disconnect",
|
|
25857
27148
|
"tags": [
|
|
25858
27149
|
"vifs"
|
|
25859
27150
|
],
|
|
@@ -26071,6 +27362,9 @@
|
|
|
26071
27362
|
"401": {
|
|
26072
27363
|
"description": "Authentication required"
|
|
26073
27364
|
},
|
|
27365
|
+
"403": {
|
|
27366
|
+
"description": "Forbidden"
|
|
27367
|
+
},
|
|
26074
27368
|
"404": {
|
|
26075
27369
|
"description": "Resource not found"
|
|
26076
27370
|
},
|
|
@@ -26078,7 +27372,7 @@
|
|
|
26078
27372
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
26079
27373
|
}
|
|
26080
27374
|
},
|
|
26081
|
-
"description": "Create an empty VDI
|
|
27375
|
+
"description": "Create an empty VDI.\n\nRequired privileges:\n- resource: sr, action: import:vdi (on the target SR)\n- resource: vdi, action: create",
|
|
26082
27376
|
"tags": [
|
|
26083
27377
|
"vdis"
|
|
26084
27378
|
],
|
|
@@ -26619,6 +27913,9 @@
|
|
|
26619
27913
|
"401": {
|
|
26620
27914
|
"description": "Authentication required"
|
|
26621
27915
|
},
|
|
27916
|
+
"403": {
|
|
27917
|
+
"description": "Forbidden"
|
|
27918
|
+
},
|
|
26622
27919
|
"404": {
|
|
26623
27920
|
"description": "Resource not found"
|
|
26624
27921
|
},
|
|
@@ -26626,7 +27923,7 @@
|
|
|
26626
27923
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
26627
27924
|
}
|
|
26628
27925
|
},
|
|
26629
|
-
"description": "Migrate a VDI to another SR.\n\nNote: After migration, the VDI will have a new ID. The new ID is returned in the response.",
|
|
27926
|
+
"description": "Migrate a VDI to another SR.\n\nRequired privileges:\n- resource: vdi, action: migrate-send\n- resource: sr, action: migrate-receive (on the target SR)\n\nNote: After migration, the VDI will have a new ID. The new ID is returned in the response.",
|
|
26630
27927
|
"tags": [
|
|
26631
27928
|
"vdis"
|
|
26632
27929
|
],
|
|
@@ -26905,6 +28202,9 @@
|
|
|
26905
28202
|
"401": {
|
|
26906
28203
|
"description": "Authentication required"
|
|
26907
28204
|
},
|
|
28205
|
+
"403": {
|
|
28206
|
+
"description": "Forbidden"
|
|
28207
|
+
},
|
|
26908
28208
|
"404": {
|
|
26909
28209
|
"description": "Resource not found"
|
|
26910
28210
|
},
|
|
@@ -26912,7 +28212,7 @@
|
|
|
26912
28212
|
"description": "Invalid format"
|
|
26913
28213
|
}
|
|
26914
28214
|
},
|
|
26915
|
-
"description": "\nExport VDI-snapshot content",
|
|
28215
|
+
"description": "Required privilege:\n- resource: vdi-snapshot, action: export\n\nExport VDI-snapshot content",
|
|
26916
28216
|
"tags": [
|
|
26917
28217
|
"vdis"
|
|
26918
28218
|
],
|
|
@@ -26994,10 +28294,14 @@
|
|
|
26994
28294
|
"401": {
|
|
26995
28295
|
"description": "Authentication required"
|
|
26996
28296
|
},
|
|
28297
|
+
"403": {
|
|
28298
|
+
"description": "Forbidden"
|
|
28299
|
+
},
|
|
26997
28300
|
"404": {
|
|
26998
28301
|
"description": "Resource not found"
|
|
26999
28302
|
}
|
|
27000
28303
|
},
|
|
28304
|
+
"description": "Required privilege:\n- resource: vdi-snapshot, action: read",
|
|
27001
28305
|
"tags": [
|
|
27002
28306
|
"vdis"
|
|
27003
28307
|
],
|
|
@@ -27031,10 +28335,14 @@
|
|
|
27031
28335
|
"401": {
|
|
27032
28336
|
"description": "Authentication required"
|
|
27033
28337
|
},
|
|
28338
|
+
"403": {
|
|
28339
|
+
"description": "Forbidden"
|
|
28340
|
+
},
|
|
27034
28341
|
"404": {
|
|
27035
28342
|
"description": "Resource not found"
|
|
27036
28343
|
}
|
|
27037
28344
|
},
|
|
28345
|
+
"description": "Required privilege:\n- resource: vdi-snapshot, action: delete",
|
|
27038
28346
|
"tags": [
|
|
27039
28347
|
"vdis"
|
|
27040
28348
|
],
|
|
@@ -27430,10 +28738,14 @@
|
|
|
27430
28738
|
"401": {
|
|
27431
28739
|
"description": "Authentication required"
|
|
27432
28740
|
},
|
|
28741
|
+
"403": {
|
|
28742
|
+
"description": "Forbidden"
|
|
28743
|
+
},
|
|
27433
28744
|
"404": {
|
|
27434
28745
|
"description": "Resource not found"
|
|
27435
28746
|
}
|
|
27436
28747
|
},
|
|
28748
|
+
"description": "Required privilege:\n- resource: vdi-snapshot, action: update:tags",
|
|
27437
28749
|
"tags": [
|
|
27438
28750
|
"vdis"
|
|
27439
28751
|
],
|
|
@@ -27476,10 +28788,14 @@
|
|
|
27476
28788
|
"401": {
|
|
27477
28789
|
"description": "Authentication required"
|
|
27478
28790
|
},
|
|
28791
|
+
"403": {
|
|
28792
|
+
"description": "Forbidden"
|
|
28793
|
+
},
|
|
27479
28794
|
"404": {
|
|
27480
28795
|
"description": "Resource not found"
|
|
27481
28796
|
}
|
|
27482
28797
|
},
|
|
28798
|
+
"description": "Required privilege:\n- resource: vdi-snapshot, action: update:tags",
|
|
27483
28799
|
"tags": [
|
|
27484
28800
|
"vdis"
|
|
27485
28801
|
],
|
|
@@ -27649,6 +28965,9 @@
|
|
|
27649
28965
|
"401": {
|
|
27650
28966
|
"description": "Authentication required"
|
|
27651
28967
|
},
|
|
28968
|
+
"403": {
|
|
28969
|
+
"description": "Forbidden"
|
|
28970
|
+
},
|
|
27652
28971
|
"404": {
|
|
27653
28972
|
"description": "Resource not found"
|
|
27654
28973
|
},
|
|
@@ -27656,7 +28975,7 @@
|
|
|
27656
28975
|
"description": "Invalid parameters"
|
|
27657
28976
|
}
|
|
27658
28977
|
},
|
|
27659
|
-
"description": "
|
|
28978
|
+
"description": "Required privilege:\n- resource: vbd, action: create\n\nCreate a VBD to attach a VDI to a VM",
|
|
27660
28979
|
"tags": [
|
|
27661
28980
|
"vbds"
|
|
27662
28981
|
],
|
|
@@ -27785,11 +29104,14 @@
|
|
|
27785
29104
|
"401": {
|
|
27786
29105
|
"description": "Authentication required"
|
|
27787
29106
|
},
|
|
29107
|
+
"403": {
|
|
29108
|
+
"description": "Forbidden"
|
|
29109
|
+
},
|
|
27788
29110
|
"404": {
|
|
27789
29111
|
"description": "Resource not found"
|
|
27790
29112
|
}
|
|
27791
29113
|
},
|
|
27792
|
-
"description": "
|
|
29114
|
+
"description": "Required privilege:\n- resource: vbd, action: delete\n\nDelete a VBD\n\nRemoves the virtual block device, detaching the VDI from the VM.\nThe VDI itself is NOT deleted.",
|
|
27793
29115
|
"tags": [
|
|
27794
29116
|
"vbds"
|
|
27795
29117
|
],
|
|
@@ -28202,6 +29524,9 @@
|
|
|
28202
29524
|
"401": {
|
|
28203
29525
|
"description": "Authentication required"
|
|
28204
29526
|
},
|
|
29527
|
+
"403": {
|
|
29528
|
+
"description": "Forbidden"
|
|
29529
|
+
},
|
|
28205
29530
|
"404": {
|
|
28206
29531
|
"description": "Resource not found"
|
|
28207
29532
|
},
|
|
@@ -28209,7 +29534,7 @@
|
|
|
28209
29534
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
28210
29535
|
}
|
|
28211
29536
|
},
|
|
28212
|
-
"description": "
|
|
29537
|
+
"description": "Required privilege:\n- resource: vbd, action: connect\n\nHotplug the VBD, dynamically attaching it to the running VM",
|
|
28213
29538
|
"tags": [
|
|
28214
29539
|
"vbds"
|
|
28215
29540
|
],
|
|
@@ -28270,6 +29595,9 @@
|
|
|
28270
29595
|
"401": {
|
|
28271
29596
|
"description": "Authentication required"
|
|
28272
29597
|
},
|
|
29598
|
+
"403": {
|
|
29599
|
+
"description": "Forbidden"
|
|
29600
|
+
},
|
|
28273
29601
|
"404": {
|
|
28274
29602
|
"description": "Resource not found"
|
|
28275
29603
|
},
|
|
@@ -28277,7 +29605,7 @@
|
|
|
28277
29605
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
28278
29606
|
}
|
|
28279
29607
|
},
|
|
28280
|
-
"description": "
|
|
29608
|
+
"description": "Required privilege:\n- resource: vbd, action: disconnect\n\nHot-unplug the VBD, dynamically detaching it from the running VM",
|
|
28281
29609
|
"tags": [
|
|
28282
29610
|
"vbds"
|
|
28283
29611
|
],
|
|
@@ -30455,6 +31783,9 @@
|
|
|
30455
31783
|
"401": {
|
|
30456
31784
|
"description": "Authentication required"
|
|
30457
31785
|
},
|
|
31786
|
+
"403": {
|
|
31787
|
+
"description": "Forbidden"
|
|
31788
|
+
},
|
|
30458
31789
|
"404": {
|
|
30459
31790
|
"description": "Resource not found"
|
|
30460
31791
|
},
|
|
@@ -30465,6 +31796,7 @@
|
|
|
30465
31796
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
30466
31797
|
}
|
|
30467
31798
|
},
|
|
31799
|
+
"description": "Required privilege:\n- resource: sr, action: reclaim-space",
|
|
30468
31800
|
"tags": [
|
|
30469
31801
|
"srs"
|
|
30470
31802
|
],
|
|
@@ -30525,6 +31857,9 @@
|
|
|
30525
31857
|
"401": {
|
|
30526
31858
|
"description": "Authentication required"
|
|
30527
31859
|
},
|
|
31860
|
+
"403": {
|
|
31861
|
+
"description": "Forbidden"
|
|
31862
|
+
},
|
|
30528
31863
|
"404": {
|
|
30529
31864
|
"description": "Resource not found"
|
|
30530
31865
|
},
|
|
@@ -30535,6 +31870,7 @@
|
|
|
30535
31870
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
30536
31871
|
}
|
|
30537
31872
|
},
|
|
31873
|
+
"description": "Required privilege:\n- resource: sr, action: scan",
|
|
30538
31874
|
"tags": [
|
|
30539
31875
|
"srs"
|
|
30540
31876
|
],
|
|
@@ -30595,6 +31931,9 @@
|
|
|
30595
31931
|
"401": {
|
|
30596
31932
|
"description": "Authentication required"
|
|
30597
31933
|
},
|
|
31934
|
+
"403": {
|
|
31935
|
+
"description": "Forbidden"
|
|
31936
|
+
},
|
|
30598
31937
|
"404": {
|
|
30599
31938
|
"description": "Resource not found"
|
|
30600
31939
|
},
|
|
@@ -30605,6 +31944,7 @@
|
|
|
30605
31944
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
30606
31945
|
}
|
|
30607
31946
|
},
|
|
31947
|
+
"description": "Required privilege:\n- resource: sr, action: forget",
|
|
30608
31948
|
"tags": [
|
|
30609
31949
|
"srs"
|
|
30610
31950
|
],
|
|
@@ -35922,6 +37262,104 @@
|
|
|
35922
37262
|
"x-mcp-exposure": "confirm"
|
|
35923
37263
|
}
|
|
35924
37264
|
},
|
|
37265
|
+
"/pools/{id}/actions/add_host": {
|
|
37266
|
+
"post": {
|
|
37267
|
+
"operationId": "AddHost",
|
|
37268
|
+
"responses": {
|
|
37269
|
+
"202": {
|
|
37270
|
+
"description": "Action executed asynchronously",
|
|
37271
|
+
"content": {
|
|
37272
|
+
"application/json": {
|
|
37273
|
+
"schema": {
|
|
37274
|
+
"$ref": "#/components/schemas/CreateActionReturnType_void_"
|
|
37275
|
+
},
|
|
37276
|
+
"examples": {
|
|
37277
|
+
"Example 1": {
|
|
37278
|
+
"value": {
|
|
37279
|
+
"taskId": "0m7kl0j9l"
|
|
37280
|
+
}
|
|
37281
|
+
}
|
|
37282
|
+
}
|
|
37283
|
+
}
|
|
37284
|
+
}
|
|
37285
|
+
},
|
|
37286
|
+
"204": {
|
|
37287
|
+
"description": "No content"
|
|
37288
|
+
},
|
|
37289
|
+
"400": {
|
|
37290
|
+
"description": "Bad request"
|
|
37291
|
+
},
|
|
37292
|
+
"401": {
|
|
37293
|
+
"description": "Authentication required"
|
|
37294
|
+
},
|
|
37295
|
+
"403": {
|
|
37296
|
+
"description": "Forbidden"
|
|
37297
|
+
},
|
|
37298
|
+
"404": {
|
|
37299
|
+
"description": "Resource not found"
|
|
37300
|
+
},
|
|
37301
|
+
"422": {
|
|
37302
|
+
"description": "Invalid parameters"
|
|
37303
|
+
},
|
|
37304
|
+
"500": {
|
|
37305
|
+
"description": "Internal server error, XenServer/XCP-ng error"
|
|
37306
|
+
}
|
|
37307
|
+
},
|
|
37308
|
+
"description": "Required privileges:\n- resource: pool, action: add-host\n- resource: host, action: join-pool\n\nAdd a host to the pool.",
|
|
37309
|
+
"tags": [
|
|
37310
|
+
"pools"
|
|
37311
|
+
],
|
|
37312
|
+
"security": [
|
|
37313
|
+
{
|
|
37314
|
+
"*": []
|
|
37315
|
+
}
|
|
37316
|
+
],
|
|
37317
|
+
"parameters": [
|
|
37318
|
+
{
|
|
37319
|
+
"in": "path",
|
|
37320
|
+
"name": "id",
|
|
37321
|
+
"required": true,
|
|
37322
|
+
"schema": {
|
|
37323
|
+
"type": "string"
|
|
37324
|
+
},
|
|
37325
|
+
"example": "355ee47d-ff4c-4924-3db2-fd86ae629676"
|
|
37326
|
+
},
|
|
37327
|
+
{
|
|
37328
|
+
"in": "query",
|
|
37329
|
+
"name": "sync",
|
|
37330
|
+
"required": false,
|
|
37331
|
+
"schema": {
|
|
37332
|
+
"type": "boolean"
|
|
37333
|
+
}
|
|
37334
|
+
}
|
|
37335
|
+
],
|
|
37336
|
+
"requestBody": {
|
|
37337
|
+
"required": true,
|
|
37338
|
+
"content": {
|
|
37339
|
+
"application/json": {
|
|
37340
|
+
"schema": {
|
|
37341
|
+
"properties": {
|
|
37342
|
+
"force": {
|
|
37343
|
+
"type": "boolean"
|
|
37344
|
+
},
|
|
37345
|
+
"host": {
|
|
37346
|
+
"type": "string"
|
|
37347
|
+
}
|
|
37348
|
+
},
|
|
37349
|
+
"required": [
|
|
37350
|
+
"host"
|
|
37351
|
+
],
|
|
37352
|
+
"type": "object"
|
|
37353
|
+
},
|
|
37354
|
+
"example": {
|
|
37355
|
+
"host": "c787b75c-3e0d-70fa-d0c3-cbfd382d7e33",
|
|
37356
|
+
"force": "false"
|
|
37357
|
+
}
|
|
37358
|
+
}
|
|
37359
|
+
}
|
|
37360
|
+
}
|
|
37361
|
+
}
|
|
37362
|
+
},
|
|
35925
37363
|
"/pifs": {
|
|
35926
37364
|
"get": {
|
|
35927
37365
|
"operationId": "GetPifs",
|
|
@@ -37034,6 +38472,9 @@
|
|
|
37034
38472
|
"401": {
|
|
37035
38473
|
"description": "Authentication required"
|
|
37036
38474
|
},
|
|
38475
|
+
"403": {
|
|
38476
|
+
"description": "Forbidden"
|
|
38477
|
+
},
|
|
37037
38478
|
"404": {
|
|
37038
38479
|
"description": "Resource not found"
|
|
37039
38480
|
},
|
|
@@ -37044,6 +38485,7 @@
|
|
|
37044
38485
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
37045
38486
|
}
|
|
37046
38487
|
},
|
|
38488
|
+
"description": "Required privilege:\n- resource: pbd, action: plug",
|
|
37047
38489
|
"tags": [
|
|
37048
38490
|
"pbds"
|
|
37049
38491
|
],
|
|
@@ -37104,6 +38546,9 @@
|
|
|
37104
38546
|
"401": {
|
|
37105
38547
|
"description": "Authentication required"
|
|
37106
38548
|
},
|
|
38549
|
+
"403": {
|
|
38550
|
+
"description": "Forbidden"
|
|
38551
|
+
},
|
|
37107
38552
|
"404": {
|
|
37108
38553
|
"description": "Resource not found"
|
|
37109
38554
|
},
|
|
@@ -37114,6 +38559,7 @@
|
|
|
37114
38559
|
"description": "Internal server error, XenServer/XCP-ng error"
|
|
37115
38560
|
}
|
|
37116
38561
|
},
|
|
38562
|
+
"description": "Required privilege:\n- resource: pbd, action: unplug",
|
|
37117
38563
|
"tags": [
|
|
37118
38564
|
"pbds"
|
|
37119
38565
|
],
|
|
@@ -46647,6 +48093,74 @@
|
|
|
46647
48093
|
}
|
|
46648
48094
|
],
|
|
46649
48095
|
"x-mcp-exposure": "allow"
|
|
48096
|
+
},
|
|
48097
|
+
"post": {
|
|
48098
|
+
"operationId": "CreateBackupRepository",
|
|
48099
|
+
"responses": {
|
|
48100
|
+
"201": {
|
|
48101
|
+
"description": "Resource created",
|
|
48102
|
+
"content": {
|
|
48103
|
+
"application/json": {
|
|
48104
|
+
"schema": {
|
|
48105
|
+
"properties": {
|
|
48106
|
+
"id": {
|
|
48107
|
+
"type": "string"
|
|
48108
|
+
}
|
|
48109
|
+
},
|
|
48110
|
+
"required": [
|
|
48111
|
+
"id"
|
|
48112
|
+
],
|
|
48113
|
+
"type": "object"
|
|
48114
|
+
},
|
|
48115
|
+
"examples": {
|
|
48116
|
+
"Example 1": {
|
|
48117
|
+
"value": {
|
|
48118
|
+
"id": "677e50c5-8d8a-4c89-b1ac-e2f4593d0ebb"
|
|
48119
|
+
}
|
|
48120
|
+
}
|
|
48121
|
+
}
|
|
48122
|
+
}
|
|
48123
|
+
}
|
|
48124
|
+
},
|
|
48125
|
+
"400": {
|
|
48126
|
+
"description": "Bad request"
|
|
48127
|
+
},
|
|
48128
|
+
"401": {
|
|
48129
|
+
"description": "Authentication required"
|
|
48130
|
+
},
|
|
48131
|
+
"403": {
|
|
48132
|
+
"description": "Forbidden"
|
|
48133
|
+
},
|
|
48134
|
+
"422": {
|
|
48135
|
+
"description": "Invalid parameters"
|
|
48136
|
+
}
|
|
48137
|
+
},
|
|
48138
|
+
"description": "Required privilege:\n- resource: backup-repository, action: create",
|
|
48139
|
+
"tags": [
|
|
48140
|
+
"backup-repositories"
|
|
48141
|
+
],
|
|
48142
|
+
"security": [
|
|
48143
|
+
{
|
|
48144
|
+
"*": []
|
|
48145
|
+
}
|
|
48146
|
+
],
|
|
48147
|
+
"parameters": [],
|
|
48148
|
+
"requestBody": {
|
|
48149
|
+
"required": true,
|
|
48150
|
+
"content": {
|
|
48151
|
+
"application/json": {
|
|
48152
|
+
"schema": {
|
|
48153
|
+
"$ref": "#/components/schemas/Unbrand_Parameters_XoApp-at-createRemote__91_0_93__"
|
|
48154
|
+
},
|
|
48155
|
+
"example": {
|
|
48156
|
+
"name": "NFS Remote",
|
|
48157
|
+
"options": "vers=4",
|
|
48158
|
+
"proxy": "722d17b9-699b-59d2-8193-be1ac573d3de",
|
|
48159
|
+
"url": "nfs://192.168.100.225:/media/nfs"
|
|
48160
|
+
}
|
|
48161
|
+
}
|
|
48162
|
+
}
|
|
48163
|
+
}
|
|
46650
48164
|
}
|
|
46651
48165
|
},
|
|
46652
48166
|
"/backup-repositories/{id}": {
|
|
@@ -46714,6 +48228,131 @@
|
|
|
46714
48228
|
}
|
|
46715
48229
|
],
|
|
46716
48230
|
"x-mcp-exposure": "allow"
|
|
48231
|
+
},
|
|
48232
|
+
"patch": {
|
|
48233
|
+
"operationId": "UpdateBackupRepository",
|
|
48234
|
+
"responses": {
|
|
48235
|
+
"204": {
|
|
48236
|
+
"description": "No content"
|
|
48237
|
+
},
|
|
48238
|
+
"400": {
|
|
48239
|
+
"description": "Bad request"
|
|
48240
|
+
},
|
|
48241
|
+
"401": {
|
|
48242
|
+
"description": "Authentication required"
|
|
48243
|
+
},
|
|
48244
|
+
"403": {
|
|
48245
|
+
"description": "Forbidden"
|
|
48246
|
+
},
|
|
48247
|
+
"404": {
|
|
48248
|
+
"description": "Resource not found"
|
|
48249
|
+
},
|
|
48250
|
+
"422": {
|
|
48251
|
+
"description": "Invalid parameters"
|
|
48252
|
+
}
|
|
48253
|
+
},
|
|
48254
|
+
"description": "Required privileges:\n- resource: backup-repository, action: update (grants all fields)\n- resource: backup-repository, action: update:enabled (if enabled is passed)\n- resource: backup-repository, action: update:name (if name is passed)\n- resource: backup-repository, action: update:options (if options is passed)\n- resource: backup-repository, action: update:proxy (if proxy is passed)\n- resource: backup-repository, action: update:url (if url is passed)",
|
|
48255
|
+
"tags": [
|
|
48256
|
+
"backup-repositories"
|
|
48257
|
+
],
|
|
48258
|
+
"security": [
|
|
48259
|
+
{
|
|
48260
|
+
"*": []
|
|
48261
|
+
}
|
|
48262
|
+
],
|
|
48263
|
+
"parameters": [
|
|
48264
|
+
{
|
|
48265
|
+
"in": "path",
|
|
48266
|
+
"name": "id",
|
|
48267
|
+
"required": true,
|
|
48268
|
+
"schema": {
|
|
48269
|
+
"type": "string"
|
|
48270
|
+
},
|
|
48271
|
+
"example": "c4284e12-37c9-7967-b9e8-83ef229c3e03"
|
|
48272
|
+
}
|
|
48273
|
+
],
|
|
48274
|
+
"requestBody": {
|
|
48275
|
+
"required": true,
|
|
48276
|
+
"content": {
|
|
48277
|
+
"application/json": {
|
|
48278
|
+
"schema": {
|
|
48279
|
+
"$ref": "#/components/schemas/Unbrand_Parameters_XoApp-at-updateRemote__91_1_93__"
|
|
48280
|
+
},
|
|
48281
|
+
"example": {
|
|
48282
|
+
"enabled": true,
|
|
48283
|
+
"name": "NFS Remote",
|
|
48284
|
+
"options": "vers=4",
|
|
48285
|
+
"proxy": "722d17b9-699b-59d2-8193-be1ac573d3de",
|
|
48286
|
+
"url": "nfs://192.168.100.225:/media/nfs"
|
|
48287
|
+
}
|
|
48288
|
+
}
|
|
48289
|
+
}
|
|
48290
|
+
}
|
|
48291
|
+
}
|
|
48292
|
+
},
|
|
48293
|
+
"/backup-repositories/{id}/actions/forget": {
|
|
48294
|
+
"post": {
|
|
48295
|
+
"operationId": "ForgetBackupRepository",
|
|
48296
|
+
"responses": {
|
|
48297
|
+
"204": {
|
|
48298
|
+
"description": "No content",
|
|
48299
|
+
"content": {
|
|
48300
|
+
"application/json": {
|
|
48301
|
+
"schema": {
|
|
48302
|
+
"$ref": "#/components/schemas/CreateActionReturnType_void_"
|
|
48303
|
+
},
|
|
48304
|
+
"examples": {
|
|
48305
|
+
"Example 1": {
|
|
48306
|
+
"value": {
|
|
48307
|
+
"taskId": "0m7kl0j9l"
|
|
48308
|
+
}
|
|
48309
|
+
}
|
|
48310
|
+
}
|
|
48311
|
+
}
|
|
48312
|
+
}
|
|
48313
|
+
},
|
|
48314
|
+
"400": {
|
|
48315
|
+
"description": "Bad request"
|
|
48316
|
+
},
|
|
48317
|
+
"401": {
|
|
48318
|
+
"description": "Authentication required"
|
|
48319
|
+
},
|
|
48320
|
+
"403": {
|
|
48321
|
+
"description": "Forbidden"
|
|
48322
|
+
},
|
|
48323
|
+
"404": {
|
|
48324
|
+
"description": "Resource not found"
|
|
48325
|
+
}
|
|
48326
|
+
},
|
|
48327
|
+
"description": "Forgets a backup repository configuration.\n\nA backup repository cannot be forgotten if it is referenced by any backup job (enabled or disabled).\n\nRequired privilege:\n- resource: backup-repository, action: forget",
|
|
48328
|
+
"tags": [
|
|
48329
|
+
"backup-repositories"
|
|
48330
|
+
],
|
|
48331
|
+
"security": [
|
|
48332
|
+
{
|
|
48333
|
+
"*": []
|
|
48334
|
+
}
|
|
48335
|
+
],
|
|
48336
|
+
"parameters": [
|
|
48337
|
+
{
|
|
48338
|
+
"in": "path",
|
|
48339
|
+
"name": "id",
|
|
48340
|
+
"required": true,
|
|
48341
|
+
"schema": {
|
|
48342
|
+
"type": "string"
|
|
48343
|
+
},
|
|
48344
|
+
"example": "c4284e12-37c9-7967-b9e8-83ef229c3e03"
|
|
48345
|
+
},
|
|
48346
|
+
{
|
|
48347
|
+
"in": "query",
|
|
48348
|
+
"name": "sync",
|
|
48349
|
+
"required": false,
|
|
48350
|
+
"schema": {
|
|
48351
|
+
"type": "boolean"
|
|
48352
|
+
}
|
|
48353
|
+
}
|
|
48354
|
+
],
|
|
48355
|
+
"x-mcp-exposure": "confirm"
|
|
46717
48356
|
}
|
|
46718
48357
|
},
|
|
46719
48358
|
"/backup-logs": {
|